<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );

if( !class_exists( 'JS_SAFE_xajax' ) ) {
  require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jsinbox'.DS.'library'.DS.'xajaxAIO.inc.php' );
}

function jinbPublish($id, $table, $publish)
{
	$objResponse = new JS_SAFE_xajaxResponse();
    
    $db =& JFactory::getDBO();
    
    $publish ? $img  = 'publish_x.png' : $img  = 'tick.png';
    $alt = !$publish ? JText::_( 'Published' ) : JText::_( 'Unpublished' );
    $set = ($publish ? 0 : 1);
    
    // Check for
	if (!$set) {
	    $q = "SELECT COUNT(*) FROM #__$table WHERE published = 1";
	    $db->setQuery( $q );
	    $count = $db->loadResult();
	    
	    if ($count == 1) {
	    	$objResponse->alert(JText::_('You must enable at least one message type!!'));
	    	
	    	$href = "<a href=\"javascript:void(0);\"  ".
		        "id=\"publish_$id\" onclick=\"document.getElementById('pdiv_$id').innerHTML = '<img src=components/com_jsinbox/images/load.gif>';xajax_jinbPublish('$id', '$table', '1')\">".
		        "<img src=\"images/tick.png\" border=\"0\" alt=\"$alt\"/></a>";
		    
		    $objResponse->assign("pdiv_$id", "innerHTML", $href);
	    	return $objResponse;
	    }
    }

    $sql = "UPDATE #__$table SET published = '$set' WHERE id = '$id'";
    $db->setQuery($sql);
    $db->query();
        
    $href = "<a href=\"javascript:void(0);\"  ".
        "id=\"publish_$id\" onclick=\"document.getElementById('pdiv_$id').innerHTML = '<img src=components/com_jsinbox/images/load.gif>';xajax_jinbPublish('$id', '$table', '$set')\">".
        "<img src=\"images/$img\" border=\"0\" alt=\"$alt\"/></a>";
    
    $objResponse->assign("pdiv_$id", "innerHTML", $href);
    
    return $objResponse;

}

function jinbCanChoose($id, $table, $publish)
{
    $db =& JFactory::getDBO();
    $publish ? $img  = 'publish_x.png' : $img  = 'tick.png';
    $alt = !$publish ? JText::_('Allow choosing') : JText::_('Restrict choosing');
    $set = ($publish ? 0 : 1);

    $sql = "UPDATE #__$table SET can_choose = '$set' WHERE id = '$id'";
    $db->setQuery($sql);
    $db->query();
        
    $href = "<a href=\"javascript:void(0);\"  ".
        "id=\"publish_$id\" onclick=\"document.getElementById('ccdiv_$id').innerHTML = '<img src=components/com_jsinbox/images/load.gif>';xajax_jinbCanChoose('$id', '$table', '$set')\">".
        "<img src=\"images/$img\" border=\"0\" alt=\"$alt\"/></a>";

    $objResponse = new JS_SAFE_xajaxResponse();

    $objResponse->assign("ccdiv_$id", "innerHTML", $href);
    
    return $objResponse;

}

function jinbAccess($id, $table, $access)
{
    $db =& JFactory::getDBO();
    
    switch ($access)
    {
        case 0:
            $set   = 1;
            $name  = 'Registered';
            $color = 'Red';
            break;
        case 1:
            $set   = 2;
            $name  ='Special';
            $color = 'Black';
            break;
        case 2:
            $set   = 0;
            $name  = 'Public';
            $color = 'Green';
            break;
    }
    $sql = "UPDATE #__$table SET access = '$set' WHERE id = '$id'";
    $db->setQuery($sql);
    $db->query();
    
    
    $href = "<a href=\"javascript:void(0);\"  id=\"access_$id\" onclick=\"document.getElementById('adiv_$id').innerHTML = '<img src=components/com_jsinbox/images/load.gif>';xajax_jinbAccess('$id', '$table', '$set')\">$name</a>";
    $objResponse = new JS_SAFE_xajaxResponse();
    $objResponse->assign("adiv_$id", "innerHTML", $href);
    $objResponse->assign("access_$id", "style.color", $color);
    return $objResponse;
}


$xajax = new JS_SAFE_xajax(JURI::root().'administrator/index3.php?option=com_jsinbox&controller='.JRequest::getVar('controller')); 

$xajax->registerFunction( "jinbPublish" );
$xajax->registerFunction( "jinbCanChoose" );
$xajax->registerFunction( "jinbAccess" );

$xajax->processRequest();
$xajax->printJavascript(JURI::root().'administrator/components/com_jsinbox/js/');

?>
