<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined ( '_JEXEC' ) or die ( 'Restricted access' );

class TableMessages extends JTable
{
  var $id            = 0;
  var $subject       = "";
  var $body          = "";
  var $type_id       = 0;
  var $ctime         = "0000-00-00 00:00:00";
  var $relation_type = "";
  var $parent_id     = 0;
  var $stime         = "0000-00-00 00:00:00";
  var $params        = "";
  var $attachments   = "";
  var $user_id       = 0;
  var $priority      = 0;
  var $mail_ident    = "";
  var $addresses     = "";
  
  function __construct( &$db ) {
    
    parent::__construct ( '#__js_inbox_messages', 'id', $db );
  }
  
  function bind( $array, $ignore = '' ) {
    if (key_exists ( 'params', $array ) && is_array ( $array ['params'] )) {
      $registry = new JRegistry ( );
      $registry->loadArray ( $array ['params'] );
      $array ['params'] = $registry->toString ();
    }
    
    if (key_exists ( 'addresses', $array ) && is_array ( $array ['addresses'] ) ) {
      $registry = new JinbRegistry ( );
      $registry->loadArray( $array ['addresses'] );
      $array ['addresses'] = $registry->toString( 'JinbXML' );
    }
    
    $now = new JDate( time() );
    $this->set( 'ctime', $now->toMySQL() ); 
    
    return parent::bind ( $array, $ignore );
  }
  
  function getAddresses( $field = null )
  {
    $registry = new JinbRegistry ( );
    $registry->loadJinbXML( $this->addresses );
    $addresses = $registry->toArray();
    if( !is_null( $field ) ) {
      return isset ( $addresses[ $field ] ) ? $addresses[ $field ] : array();
    } else {
      return $addresses;
    } 
  }
  
  function setAddresses( $field, $new_addresses )
  {
    $registry = new JinbRegistry ( );
    $registry->loadJinbXML( $this->addresses );
    $addresses = $registry->toArray();
    
    $addresses[ $field ] = $new_addresses;
    
    $registry->loadArray( $addresses );
    $this->addresses = $registry->toString( 'JinbXML' );
  }
}
?>
