<?php 
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined ( '_JEXEC' ) or die ( 'Restricted access' ); ?>

<form action="<?php echo $this->request_url; ?>" method="post" name="adminForm">

<div id="editcell">
  <table class="adminlist">
  <thead>
    <tr>
      <th width="1%">
        <?php echo JText::_( 'NUM' ); ?>
      </th>
      <th width="1%">
        <input type="checkbox" name="toggle" value="" id="checkMain" onclick="checkAll(<?php echo count( $this->items ); ?>);" />
      </th>
      <th class="title">
        <?php echo JHTML::_('grid.sort',  'Name',            'name',       $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="5%">
        <?php echo JHTML::_('grid.sort',  'Default',         'default',    $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="10%">
        <?php echo JHTML::_('grid.sort',  'User Can Choose', 'can_choose', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="5%">
        <?php echo JHTML::_('grid.sort',  'Publish',         'published',  $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="5%">
        <?php echo JHTML::_('grid.sort',  'access',          'access',     $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="1%" nowrap="nowrap">
        <?php echo JHTML::_('grid.sort',  'ID',              'id',         $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
    </tr>
  </thead>
  <?php
  $k = 0;
  for ($i=0, $n=count( $this->items ); $i < $n; $i++) {
    $row = &$this->items[$i];
    $checked   = $row->def != 1 ? JHTML::_('grid.checkedout',   $row, $i ) : "";
    $link = 'index2.php?option=com_jsinbox&controller=types&task=edit&cid[]='. $row->id;
    
    ?>
    <tbody id="row_<?php echo $row->id ?>">
	    <tr class="<?php echo "row$k"; ?>">
	      <td>
	        <?php echo $i; ?>
	      </td>
	      <td>
	        <?php echo $checked; ?>
	      </td>
	      <td>
	        <?php
	        if (  JTable::isCheckedOut( $this->user->get('id'), $row->checked_out ) ) {
	          echo $row->name;
	        } else {
	          echo '<A href="'.$link.'">'. $row->name.'</A>';
	        }
	        ?><br>
	        <span class="small"><?php echo $row->description;?></span>
	      </td>
	      <td align="center">
         <?php if ($row->def == 1) { ?>
           <img src="templates/khepri/images/menu/icon-16-default.png" alt="<?php echo JText::_( 'Default' ); ?>" />
         <?php } else { ?>
           &nbsp;
         <?php } ?>
        </td>
	      <td align="center">
          <?php echo IbxHelper::CanChooseProcessingX( $row, 'js_inbox_types', $i)?>
        </td>
	      <td align="center">
	        <?php echo IbxHelper::PublishedProcessingX( $row, 'js_inbox_types', $i)?>
	      </td>
	      <td align="center">
          <?php echo IbxHelper::AccessProcessingX( $row, 'js_inbox_types', $i)?>
        </td>
	      <td align="center">
	        <?php echo $row->id; ?>
	      </td>
	    </tr>
    </tbody>
    <?php
    $k = 1 - $k;
  }
  ?>
  </table>
</div>

<input type="hidden" name="option"           value="com_jsinbox" />
<input type="hidden" name="task"             value="" />
<input type="hidden" name="controller"       value="types" />
<input type="hidden" name="boxchecked"       value="0" />
<input type="hidden" name="filter_order"     value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="" />
</form>
