<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();

jimport('joomla.application.component.controller');
/*print JRequest::getvar('task');
exit;*/

class InboxControllerFolders extends JController
{

  function __construct()
  {
    global $mainframe;
	  
    parent::__construct ();
    
    $this->registerTask( 'new',   'edit' );
    $this->registerTask( 'apply', 'save' );
  }
  
  function display() 
  {
    if ( ! JRequest::getCmd( 'view' ) ) {
      JRequest::setVar( 'view', 'folder' );
    }

    parent::display();
  }
  
  function edit()
  {
    JRequest::setVar( 'view',   'folder' );
    JRequest::setVar( 'layout', 'form' );
    
    parent::display();
  }
  
  function save()
  {
    global $mainframe, $option;
    
    $task   = JRequest::getWord( 'task' );
    $folder = $mainframe->getUserStateFromRequest( $option.'.folder',  'folder',  '0', 'int' );
    
    $mFolders = & JModel::getInstance( 'Folders', 'InboxModel' );
    
    $storedFolder = $mFolders->store( JRequest::get( 'post' ) );
    
    if( $storedFolder ) {
      if( JRequest::getInt( 'id' ) ) {
        $msg = JText::_( 'Folder saved successfuly' );
      } else {
        $msg = JText::_( 'Folder created successfuly' );
      }
      
      JRequest::setVar( 'id', $storedFolder->get('id') );
      
      $mainframe->enqueueMessage( $msg );
      
      if( INBOX_PU_FOLDER ) {
        if( $task == "save" ) {
          print '<script type="text/javascript">'
                 .'parent.jinbRedrawFolderMenu();'
                 .'parent.jinbRedrawMoveMenu();'
                 .'parent.Shadowbox.close();'
               .'</script>';
        } else {
          print '<script type="text/javascript">'
                 .'parent.jinbRedrawFolderMenu();'
                 .'parent.jinbRedrawMoveMenu();'
               .'</script>';
          parent::display();
        }
      } else {
        if( $task == "apply" ) {
          JRequest::setVar( 'folder', $storedFolder->get('id') );
          parent::display();
        } else {
          $urlfolder = $folder ? "&folder=".$folder : "";
          $mainframe->redirect( 'index.php?option=com_jsinbox'.$urlfolder );
        }
      }
    } else {
      if( JRequest::getInt( 'id' ) ) {
        $msg = JText::_( 'Error save folder' );
      } else {
        $msg = JText::_( 'Error create folder' );
      }
      
      JError::raiseWarning( 301, $msg.' '.$mFolders->getError() );
      
      if( JRequest::getInt( 'id' ) ) {
        JRequest::setVar( 'folder', JRequest::getInt( 'id' ) );
      }
      
      if( INBOX_PU_FOLDER ) {
        JRequest::setVar( 'tmpl', 'component' );
      }
      
      $this->edit();
    }
  }
  
  function cancel()
  {
    global $mainframe;
    
    $cfolder  = $mainframe->getUserStateFromRequest( $option.'.cfolder', 'cfolder', '',  'word' );
    $folder   = $mainframe->getUserStateFromRequest( $option.'.folder',  'folder',  '0', 'int' );
    
    $mainframe->redirect( 'index.php?option=com_jsinbox'.($folder ? "&folder=".$folder : "" ).($cfolder ? "&cfolder=".$cfolder : "" ) );
  }
  
  

}
?>
