<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('JPATH_BASE') or die();

class JElementJscheckboxes extends JElement
{
	var	$_name = 'Jscheckboxes';

	function fetchElement( $name, $value, &$node, $control_name )
	{
		$class = ( $node->attributes( 'class' ) ? 'class="'.$node->attributes( 'class' ).'"' : 'class="inputbox"' );
    
		if( $node->attributes( 'default' ) != $value && $value ) {
  		if( ! is_array( $value ) ) {
  		  $value = array( $value );
  		}
		} else {
		  $value = explode( "|", $node->attributes( 'default' ) );
		}
		
		
		
		$options = array ();
		foreach ( $node->children() as $option ) { 
			$val	= $option->attributes( 'value' );
			$text	= $option->data();
			
			$checked = in_array( $val, $value ) ? "checked" : "";
			
			$options[] = "<input type='checkbox' name='".$control_name.'['.$name.'][]'."' value='".$val."' ".$checked.">"." ".$text;
		}

		return implode( "<br />", $options );
	}
}
