<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();

class JElementJsrestypes extends JElement
{
	function fetchElement( $name, $value, &$node, $control_name )
	{
		global $mainframe;

		if( !is_dir(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_resource') ){
			return '<b>'.JText::sprintf('%sJomsuite Resource%s is not installed on your Joomla site', '<a href="http://www.mightyextensions.com/joomla-components/resources-cck-custom-content-types">', '</a>').'</b>';
		}

		$db			=& JFactory::getDBO();
		$doc 		=& JFactory::getDocument();
		$template 	= $mainframe->getTemplate();
		$fieldName	= $control_name.'['.$name.']';

		include_once(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_resource'.DS.'models'.DS.'record.php');
		$cat = new ResModelRecord();

		$t[] = JHTML::_('select.option', "", '- Select Type -');
		$types = $cat->getTypes();
		if(is_array($types)) $types = array_merge($t, $types);
		$html	= JHTML::_('select.genericlist',  $types,
            "{$control_name}[{$name}]", '', 'value', 'text', $value);

		return $html;
	}
}
?>