<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.mail.helper' );
jimport( 'joomla.mail.mail' );
jimport( 'joomla.utilities.date' );
jimport( 'joomla.filesystem.folder' );
jimport( 'joomla.filesystem.file' );
jimport( 'joomla.application.component.model' );
jimport( 'joomla.application.component.controller' );

if( !defined( 'JSPATH_INBOX_ADMIN' ) ) {
  define( 'JSPATH_INBOX_ADMIN', JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jsinbox' );
}
if( !defined( 'JSPATH_INBOX_SITE' ) ) {
  define( 'JSPATH_INBOX_SITE', JPATH_SITE.DS.'components'.DS.'com_jsinbox' );
}
require_once ( JSPATH_INBOX_ADMIN.DS.'controllers'.DS.'cnf.php' );

InboxControllerCnf::initialyze();

if (!defined('INBOX_PU_BACKGROUND'))
{
	$mainframe->enqueueMessage(JText::_('Please save Mighty Inbox configuration'));
	return;
}

if( JFile::exists( JPATH_SITE.DS.'components'.DS.'com_community'.DS.'api.php' ) ) {
    require_once JPATH_SITE.DS.'components/com_community/api.php';
}

JModel::addIncludePath( JSPATH_INBOX_ADMIN.DS.'models' );
JModel::addIncludePath( JSPATH_INBOX_SITE.DS.'models' );
JTable::addIncludePath( JSPATH_INBOX_ADMIN.DS.'tables' );
JTable::addIncludePath( JSPATH_INBOX_SITE.DS.'tables' );
if (file_exists(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_resource'.DS.'tables'))
	JTable::addIncludePath( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_resource'.DS.'tables' );

require_once ( JSPATH_INBOX_SITE.DS.'helpers'.DS.'helper.php' );
require_once ( JSPATH_INBOX_SITE.DS.'helpers'.DS.'registry.php' );

if( !JRequest::getInt( "no_xajax" ) ) {
  require_once ( JSPATH_INBOX_SITE.DS.'inbox.site.xajax.php' );
  
  if( INBOX_PU_BACKGROUND ) {
    ?>
    <script language="javascript">
    	if (parent != window) {
			document.body.style.backgroundColor = "<?php echo INBOX_PU_BACKGROUND ?>";
		}
    </script>
    <?php
  }
  ?>
  <script language="javascript">
    function jinbLinksToBlank()
    {
      if(  parent != window ) {
        var divs = document.body.getElementsByTagName( "div" );
        if ( divs.length == 0 ) return;
        for( var i in divs ){
          if( typeof  divs[i].className != "undefined" && divs[i].className.indexOf( "links_to_blank" ) != -1 ) {
            var as = divs[i].getElementsByTagName( "a" );
            for( var ia in as ){
              
              as[ia].target = "_blank";
              
            }
          }
        }
      }
    }
  </script>
  <?php
}

$user = JFactory::getUser();
$uri = JFactory::getURI();
if( !$user->get( 'id' ) ) {
  JError::raiseWarning( 403, JText::_( 'You are not authorized to this page. Please login' ) );
  $mainframe->redirect( 'index.php?option=com_user&view=login&Itemid='.JRequest::getInt( 'Itemid' ).'&return='.base64_encode( $uri->toString() ) );
  return ;
}

jinbHelper::initUserOptions();

require_once ( JPATH_ADMINISTRATOR.DS.'includes'.DS.'toolbar.php' );
require_once ( JSPATH_INBOX_SITE.DS.'helpers'.DS.'toolbar.php' );

$document = & JFactory::getDocument();
$document->addStyleSheet( JURI::root().'components/com_jsinbox/css/main.css' );
$document->addStyleSheet( JURI::root().'components/com_jsinbox/css/toolbar.css' );
$document->addStyleSheet( JURI::root().'components/com_jsinbox/css/toolbar_icons.css' );

$document->addStyleSheet( JURI::root().'/templates/system/css/system.css' );
$document->addStyleSheet( JURI::root().'/templates/system/css/general.css' );


 
/*$r = array( '!@#@#%$#%^$%^%^&"""[][][}{}{}((' => '12', '21', array('1231','ass' ) );

$registry = new JinbRegistry ( );
$registry->loadArray( $r, 'w' );
$t = $registry->toString( 'JinbXML', 'w' );
print htmlentities( $t);

$registry->loadJinbXML( $t, 'w2' );
$t2 =$registry->toArray('w2');
print'<br /><br />';
print htmlentities(print_r( $t2,1 ));
*/

$controller = JRequest::getWord( 'controller' );
$controller = $controller ? $controller : "inbox"; 

$path = JSPATH_INBOX_SITE.DS.'controllers'.DS.$controller.'.php';
if ( file_exists( $path ) ) {
	require_once $path;
} else {
	$controller = '';
}

$classname  = 'InboxController'.ucfirst( $controller );
$controller = new $classname( );

$controller->execute( JRequest::getCmd( 'task' ) );

$controller->redirect();

if( !JRequest::getInt( "no_xajax" ) ) {
  ?>
  <script language="javascript">
    jinbLinksToBlank();
  </script>
  <?php
}

?>
<?php if ( INBOX_COPYRIGHT && @$_REQUEST['tmpl'] != 'component' ) :?>
		<br style="clear:both"><center><span class="small">Powered by <a target="_blank" href="http://mightyextensions.com">Mighty Message</a></span></center><br />
<?php endif;?>