<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();

jimport('joomla.application.component.model');
class InboxModelHistory extends JModel
{
  var $event_list = array( "new message" => 1 );
    
  function __construct()
  {
    parent::__construct();
  }

  function storeEvent( $event, $who = 0, $whom = 0, $when = "0000-00-00 00:00:00", $what = "", $_read = 0, $params = null )
  {
    $tHistory = & JTable::getInstance( 'History', 'Table' );
    
    $event_ident = $this->event_list[$event];
    
    $tHistory->bind( array( "event" => $event_ident, "who" => $who, "whom" => $whom, "when" => $when, "what" => $what, "_read" => $_read, "params" => $params ) );
    
    if( ! $tHistory->store() ) {
      $this->setError( $tHistory->getError() );
      return false;
    } else {
      return true;
    }
  }
  
  function onSendMessage( $who, $whom, $when, $message_id, $_read = 0 )
  {
    $this->storeEvent( "new message", $who, $whom, $when, $message_id, $_read );
  }
}

?>