<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');?>
<?php foreach( $this->msgChain as $msg ) { ?>
  <?php $user = JFactory::getUser( $msg->get( "user_id" ) );?>
  <?php $ctime = new JDate( $msg->get( "ctime" ) ); ?>
  <?php $to = implode( ", ", $msg->getAddresses( "to" ) ); ?>
  <?php $cc = $msg->getAddresses( "cc" ); ?>
  <h3>
  <table width="100%" class="chain_msg_title">
    <tr>
      <td><b><?php echo $user->get( "username" ); ?>:</b> <?php echo $msg->get( "subject" ) ?></td>
      <td width="20%"><?php echo $ctime->toFormat( INBOX_TIME_FORMAT ); ?></td>
    </tr>
  </table>
  </h3>
  <div class="chain_msg_body">
    <table cellspacing="2">
      <tr>
        <td align="right" class="small"><?php echo JText::_( "From" ); ?>:</td>
        <td align="left"><b><?php echo $user->get( "username" ); ?></b></td>
      </tr>
      <tr>
        <td align="right" class="small"><?php echo JText::_( "To" ); ?>:</td>
        <td align="left"><?php echo $to; ?></td>
      </tr>
      <?php if( $cc ) { ?> 
      <tr>
        <td align="right" class="small"><?php echo JText::_( "CC" ); ?>:</td>
        <td align="left"><?php echo $cc; ?></td>
      </tr>
      <?php } ?>
      <tr>
        <td align="right" class="small"><?php echo JText::_( "Subject" ); ?>:</td>
        <td align="left"><?php echo $msg->get( "subject" ); ?></td>
      </tr>
      <tr>
        <td align="right" class="small"><?php echo JText::_( "Date" ); ?>:</td>
        <td align="left"><?php echo $ctime->toFormat( INBOX_TIME_FORMAT ); ?></td>
      </tr>
    </table>
    <br />
    <div style="padding:5px;"><?php echo $msg->get( "body" ); ?></div>
    <br />
  </div>
    
<?php } ?>