<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

class InboxViewFolder extends JView
{
  function display($tpl = null)
  {
  	global $mainframe, $option, $itemid;
  	
  	JHTML::_('behavior.tooltip');
  	
  	$user     = & JFactory::getUser();
  	$uri 	    = & JFactory::getURI();
  	$document = & JFactory::getDocument();
  	
  	$pathway    = & $mainframe->getPathway();
  	$url_params = & $mainframe->getParams();
  	$mFolders    = & JModel::getInstance( 'Folders', 'InboxModel' );

  	$toolbar = new JINBToolBar( 'me_message_toolbar' );
  	
  	$document->addScript( JURI::root().'media/mightyextensions/js/felix_js/library.js' );
    $document->addScript( JURI::root().'media/mightyextensions/js/felix_js/pop_up.js' );
  	
    $folder  = JRequest::getInt( 'folder', 0 );
    
    $icons  = $mFolders->getIcons();
    
    $toolbar->apply();
    $toolbar->save();
    $toolbar->cancelFolder();
    
    $folder = $mFolders->getFolder( $folder, '' );
    $folder->set( 'params', new JParameter( $folder->get( 'params' ) ), JSPATH_INBOX_ADMIN.DS.'folder.xml' );
    
    if( $folder->get( 'id' ) ) {
      $document->setTitle( $folder->title );
      
      $pathway->addItem( JText::_("Edit ").$folder->title, '' );
    } else {
      $document->setTitle( JText::_("Create new folder") );
      
      $pathway->addItem( JText::_("Create new folder"), '' );
    }
    
    $this->assignRef( 'icons',      $icons );
    $this->assignRef( 'user',       $user );
    $this->assignRef( 'toolbar',    $toolbar );
    $this->assignRef( 'url_params', $url_params );
    $this->assignRef( 'folder',     $folder );
    $this->assignRef( 'action',     $uri->toString() );
    
    parent::display( $tpl );
  }
}