<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access'); ?>

<?php if( JRequest::getWord( 'tmpl', '' ) == "component" ) { ?>
<div class="componentbody">
<?php } ?>

<script type="text/javascript">
function jinbSendForm( task, check_boxchecked )
{
  var form = document.adminForm;
  
  if( typeof check_boxchecked != "undefined" && check_boxchecked && form.boxchecked.value == 0 ) {
    alert( "Views are not selected" );
    return false;
  }
  
  form.task.value = task;
  form.submit();
} 
</script>

<?php if( JRequest::getWord( 'tmpl', '' ) != "component" ) { ?>
<div class="componentheading<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>">
  <?php echo JText::_( 'Views Manager' ); ?>
</div>
<br />
<?php } ?>
<div id="me-inbox-toolbar-box" align="right">
  <div class="t">
    <div class="t">
      <div class="t"></div>
    </div>
  </div>
  <div class="m" align="right"><?php echo $this->toolbar->render(); ?></div>
  <div class="b">
    <div class="b">
      <div class="b"></div>
    </div>
  </div>
</div>

<form name="adminForm" action="<?php echo $this->action; ?>" method="POST">

  <table  width="100%" border="0" cellspacing="0" cellpadding="2" align="center" >
    <tr>
      <td width="5" align="right" class="sectiontableheader<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>">
        <?php echo JText::_('Num'); ?>
      </td>
      <td width="10"class="sectiontableheader<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>">
        <input type="checkbox" name="toggle" value="" id="checkMain" onclick="checkAll(<?php echo count( $this->presets ); ?>);" />
      </td>
      <td class="sectiontableheader<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>">
        <?php echo JHTML::_('grid.sort',  'Title',  'p.title',  $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </td>
      <td class="sectiontableheader<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>">
        <?php echo JHTML::_('grid.sort',  'Description',  'p.description',  $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </td>
      <?php if( jinbHelper::canSetPresetGlobal() ) { ?>
      <td class="sectiontableheader<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>">
        <?php echo JHTML::_('grid.sort',  'Global',  'p.global',  $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </td>
      <?php } ?>
    </tr>

	<?php $c = 0; ?>
    <?php foreach( $this->presets as $key => $prs ) : ?>
    <tbody>
        <tr height="20" class="sectiontableentry<?php echo $c + 1; $c = 1 - $c; ?>">
          <td align="right" width="5">
            <?php echo $this->pagination->getRowOffset( $key ); ?>
          </td>
          <td>
          <?php if(  !( $prs->global && !jinbHelper::canSetPresetGlobal() ) ) { ?>
            <?php echo JHTML::_( 'grid.id', $key, $prs->id ); ?>
          <?php } ?>
          </td>
          <td>
            <?php if(  $prs->global && !jinbHelper::canSetPresetGlobal() ) { ?>
              <?php echo $prs->title; ?>
            <?php } else {?>
              <a href="<?php echo JURI::root()."/index.php?option=com_jsinbox&controller=presets&view=presets&layout=form&id=".$prs->id.( JRequest::getWord( "tmpl" ) ? "&tmpl=".JRequest::getWord( "tmpl" ) : "" ) ?>">
                <?php echo $prs->title; ?>
              </a>
            <?php } ?>
          </td>
          <td>
            <?php echo $prs->description; ?>
          </td>
          <?php if( jinbHelper::canSetPresetGlobal() ) { ?>
          <td>
            <?php if( $prs->global ) { ?>
            <img alt="<?php echo JText::_( "Global" ) ?>" src="<?php echo JURI::root(); ?>/components/com_jsinbox/images/tick.png">
            <?php } ?>
          </td>
          <?php } ?>
        </tr>
      </tbody>
      <?php endforeach; ?>
    
  </table>
  <?php if( !count( $this->presets ) ) { ?>
    <center><?php  echo JText::_( "There are no views" ); ?></center>
  <?php }?>
  <br />
  
  <table width="100%" border="0" cellspacing="0" cellpadding="2" align="center">
    <tfoot>
      <tr>
        <td align="center" colspan="6" class="sectiontablefooter<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>">
          <?php echo $this->pagination->getPagesLinks(); ?>
        </td>
      </tr>
      <tr>
        <td colspan="6" align="center">
          <?php if ( INBOX_PRESET_LIST_LIMITBOX ) :
            echo JText::_('Display Num') .'&nbsp;';
            echo $this->pagination->getLimitBox();
          endif; ?>
          <?php echo $this->pagination->getPagesCounter(); ?>
        </td>
      </tr>
    </tfoot>
  </table>
  
  <?php if( JRequest::getWord('tmpl') ) { ?>
  <input type="hidden" name="tmpl"       value="<?php echo JRequest::getWord('tmpl'); ?>" />
  <?php } ?>
  <input type="hidden" name="option" value="com_jsinbox" />
  <input type="hidden" name="view" value="<?php echo JRequest::getVar( 'view' ); ?>" />
  <input type="hidden" name="controller" value="<?php echo JRequest::getVar( 'controller' ); ?>" />
  <input type="hidden" name="task" value="" />
  <input type="hidden" name="Itemid" value="<?php echo JRequest::getInt('Itemid'); ?>" />
  <input type="hidden" name="boxchecked" value="0" />
  <input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
  <input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
</form>
<?php if( JRequest::getWord( 'tmpl', '' ) == "component" ) { ?>
</div>
<?php } ?>