<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');?>

<?php if( JRequest::getWord( 'tmpl', '' ) == "component" ) { ?>
<div class="componentbody">
<?php if(JRequest::getString('context') == 'print') {
	echo '<a href="#" onClick="window.print();">'.JText::_('Print').'</a>';
	}
 } ?>

<script type="text/javascript">

Shadowbox.loadSkin( 'classic', '<?php echo JURI::root(); ?>administrator/components/com_jsinbox/js/shadowbox/skin' ); // use the "classic" skin
Shadowbox.loadLanguage( 'en', '<?php echo JURI::root(); ?>administrator/components/com_jsinbox/js/shadowbox/lang' ); // use the English language
Shadowbox.loadPlayer( [ 'iframe' ], '<?php echo JURI::root(); ?>administrator/components/com_jsinbox/js/shadowbox/player' ); // use img and qt players

window.addEvent('domready', function() {
	Shadowbox.init({
		enableKeys: false
	});
});

function inbSendForm( task )
{
  var form = document.adminForm;
  
  form.task.value = task;
  form.submit();
}

</script>

<div class="componentheading<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>">
    <?php echo $this->message->subject;?>
</div>
<br />
<?php if( isset( $this->toolbar ) ) {?>
<div id="me-inbox-toolbar-box" align="right">
  <div class="t">
    <div class="t">
      <div class="t"></div>
    </div>
  </div>
  <div class="m" align="right"><?php echo $this->toolbar->render(); ?></div>
  <div class="b">
    <div class="b">
      <div class="b"></div>
    </div>
  </div>
</div>

<br />
<?php } ?>

<table cellspacing="2">
  <tr>
    <td class="small" align="right"> <?php echo JText::_( "From" ); ?>: </td>
    <td align="left">
      <?php echo jinbHelper::showUserName( $this->message->user_from ); ?>
    </td>
  </tr>
  <tr>
    <td class="small" align="right"><?php echo JText::_( "To" ); ?>: </td>
    <td align="left">  
      <?php foreach( $this->addressHelper->show( 'to' ) as $key => $a ) { ?> 
        <?php echo $key ? ", " : ""; ?>
        <?php echo  $a; ?>
      <?php } ?>
    </td>
  </tr>
  <?php if( count( $this->addressHelper->show( 'cc' ) ) ) { ?>
  <tr>
    <td class="small" align="right"><?php echo JText::_( "CC" ); ?>: </td>
    <td align="left"> 
      <?php foreach( $this->addressHelper->show( 'cc' ) as $key => $a ) { ?> 
        <?php echo $key ? ", " : ""; ?>
        <?php echo $a; ?>
      <?php } ?>
    </td>
  </tr>
  <?php } ?>
  <tr>
    <td class="small" align="right"><?php echo JText::_( "Date" ); ?>: </td>
    <td align="left"> 
     	<?php echo $this->message->ctime->toFormat( INBOX_TIME_FORMAT ); ?>
    </td>
  </tr>
</table>
<?php if( $this->message->attachments ) { ?>
<br />
<br />
<?php echo JText::_( "Attachment" );?> :
<a target="blank" href="<?php echo JURI::root(); ?>/index.php?option=com_jsinbox&task=download&no_xajax=1&tmpl=component&file=<?php echo $this->message->message_id; ?>">
  <img src="<?php echo JURI::root()."/components/com_jsinbox/images/clip.png"?>">
  <?php echo $this->message->attachments; ?>
</a>
<?php } ?>
<br />
<br />
<div style="padding:5px;" class="links_to_blank"><?php echo $this->message->body; ?></div>


<form name="adminForm" action="<?php echo $this->action; ?>" method="POST">
  <input type="hidden" name="controller" value="<?php echo JRequest::getVar( 'controller' ); ?>" />
  <input type="hidden" name="task" value="" />
  <input type="hidden" name="Itemid" value="<?php echo JRequest::getInt( 'Itemid' ); ?>" />
</form>

<br />
<?php if( count( $this->msgChain ) ) { ?>
  <?php echo $this->addTemplatePath( JSPATH_INBOX_SITE.DS.'views'.DS.'compose'.DS.'tmpl' ); ?>
  <?php echo $this->loadTemplate( JRequest::getVar( "context" )== 'print' ? "chain_print" : "chain" ); ?>
<?php } ?>

<?php if( JRequest::getWord( 'tmpl', '' ) == "component" ) { ?>
</div>
<?php } ?>