<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

class InboxViewRead extends JView
{
  function display($tpl = null)
  {
  	global $mainframe, $option;
  	
  	JHTML::_('behavior.tooltip');
  	
  	$user     = & JFactory::getUser();
  	$uri 	    = & JFactory::getURI();
  	$document = & JFactory::getDocument();
  	
  	$pathway    = & $mainframe->getPathway();
  	$url_params = & $mainframe->getParams();
  	$mInbox     = & JModel::getInstance( 'Inbox',   'InboxModel' );
  	$mFolders   = & JModel::getInstance( 'Folders',  'InboxModel' );
  	
  	$itemid  = JRequest::getInt( 'Itemid' );
  	
  	$ident = JRequest::getVar( "iid" );

  	$message = $mInbox->getMessage( $ident );
  	
  	$msgChain = array();
  	
  	if( $message->parent_id ) {
  	  $msgChain = $mInbox->getMessageChain( $message->parent_id );
  	}
  	
  	$message->user_from = & JFactory::getUser( $message->user_from );
  	
  	$addressHelper = new jinbAddressShower;
    $addressHelper->init( $message->addresses, $message->user_to );
  	
  	//$addresses = $this->parseAddresses( $message->addresses );
    
    $document->setTitle( $message->subject );
    
    $cfolder    = $mainframe->getUserState( $option.'.cfolder' );
    $folder_id  = $mainframe->getUserState( $option.'.folder' );
    
    $folder = $mFolders->getFolder( $folder_id, $cfolder );
    $folders = $mFolders->getFolders( $user );
    
    
    $urlFolder = $folder_id ? "&folder=".$folder_id : "&cfolder=".$cfolder;
    
    $pathway->addItem( $folder->title, 'index.php?option=com_jsinbox'.$urlFolder.( $itemid ? "&Itemid=".$itemid : "" ) );
    $pathway->addItem( $folder->title, '' );
    
    $toolbar = new JINBToolBar( 'me_message_toolbar' );
    
    $this->assignRef( 'msgChain',   $msgChain );
    //$this->assignRef( 'addresses',  $addresses['find'] );
    $this->assignRef( 'addressHelper', $addressHelper );
    $this->assignRef( 'toolbar',    $toolbar );
    $this->assignRef( 'folder',     $folder );
    $this->assignRef( 'message',    $message );
    $this->assignRef( 'url_params', $url_params );
    $this->assignRef( 'action',     $uri->toString() );
    
    echo $this->loadTemplate( "pdf" );
    
    //parent::display( $tpl );
  }
  
  /*function parseAddresses( $xml )
  {
    $db = JFactory::getDBO();
    
    $result = array( 'find' => array( "to"=>array(), "cc"=>array() ));
    
    $registry = new JinbRegistry();
    $registry->loadJinbXML( $xml );
    $addresses = $registry->toArray();
    
    foreach ( $addresses as $field => $f_addresses ) {
      
      $to_query = array();
      foreach( $f_addresses as $key => $addr ) {
        $a = trim( $addr );
        if( !$a ) continue;
        $to_query[] = $db->getEscaped( $a ); 
      }
      $to_query = array_unique( $to_query );
       
      if( count( $to_query ) ) {
        $db->setQuery( "SELECT id, username FROM #__users WHERE username IN('".implode( "','", $to_query )."')" );
        
        $from_query = $db->loadObjectList();
        foreach( $from_query as $user ) {
          $result[ 'find' ][ $field ][] = JFactory::getUser( $user->id );
          unset( $to_query[array_search( $db->getEscaped( $user->username ), $to_query )] );
        }
        
        if( count( $to_query ) ) {
          $result[ 'unknown' ][ $field ] = $to_query;
        }
      }      
    }
    return $result;
  }*/
  
}