<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');

class IbxHelper
{
  function PublishedProcessingX( &$row, $table, $i )
  {

    $img    = $row->published ? $imgY = 'tick.png'         : $imgX = 'publish_x.png';
    $alt    = $row->published ? JText::_('Published')      : JText::_('Unpublished');

    $href = "<span id=\"pdiv_$row->id\">
               <a href    =\"javascript:void(0);\"
                  id      =\"publish_$row->id\"
                  onclick =\"document.getElementById('pdiv_$row->id').innerHTML = '<img src=components/com_jsinbox/images/load.gif>'; xajax_jinbPublish('$row->id', '$table', '$row->published')\"
               >
               <img src=\"images/$img\" border=\"0\" align=\"absmiddle\" alt=\"$alt\"/></a><span>";

    return $href;
  }

  function CanChooseProcessingX( &$row, $table, $i )
  {

    $img    = $row->can_choose ? $imgY = 'tick.png'         : $imgX = 'publish_x.png';
    $alt    = $row->can_choose ? JText::_('Allow') : JText::_('Restrict');
    
    $href = "<span id=\"ccdiv_$row->id\">
               <a href    =\"javascript:void(0);\"
                  id      =\"publish_$row->id\"
                  onclick =\"document.getElementById('ccdiv_$row->id').innerHTML = '<img src=components/com_jsinbox/images/load.gif>'; xajax_jinbCanChoose('$row->id', '$table', '$row->can_choose')\"
               >
               <img src=\"images/$img\" border=\"0\" align=\"absmiddle\" alt=\"$alt\"/></a><span>";

    return $href;
  }
  
  function AccessProcessingX( &$row, $table )
  {
  	$row->access = !$row->access ? 0 : $row->access; 
  	
    $parts = array( 0 => array( 'style' => 'style="color: green;"', 'name' => JText::_('Public') ),
                    1 => array( 'style' => 'style="color: red;"',   'name' => JText::_('Register') ),
                    2 => array( 'style' => 'style="color: black;"', 'name' => JText::_('Special') ) );
    
    $href = " <span id=\"adiv_$row->id\">
                <a href    =\"javascript:void(0);\"
                   id      =\"access_$row->id\"
                   ".$parts[ $row->access ]['style']."
                   onclick =\"document.getElementById('adiv_$row->id').innerHTML = '<img src=components/com_jsinbox/images/load.gif>';xajax_jinbAccess('$row->id', '$table', '$row->access')\"
                >
                   ".$parts[ $row->access ]['name']."
                </a>
              </span>";

    return $href;
  }
}