<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined ( '_JEXEC' ) or die ( 'Restricted access' );

/**
 * @package JCommerce
 */

class TableTypes extends JTable {
	
  var $id               = null;
  var $name             = '';
  var $def              = 0;
  var $params           = '';
  var $published        = 0;
  var $access           = 0;
  var $can_choose       = 0;
  var $description      = '';
  var $checked_out      = 0;
  var $checked_out_time = '';
	
	function __construct( &$db ) {
		parent::__construct ( '#__js_inbox_types', 'id', $db );
	}
	
	function bind( $array, $ignore = '' ) {
		if (key_exists ( 'params', $array ) && is_array ( $array ['params'] )) {
			$registry = new JRegistry ( );
			$registry->loadArray ( $array ['params'] );
			$array ['params'] = $registry->toString ();
		}
		
		return parent::bind ( $array, $ignore );
	}
}
?>
