<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined ( '_JEXEC' ) or die ( 'Restricted access' );

jimport ( 'joomla.application.component.view' );

class InboxViewCnf extends JView 
{
	function display($tpl = null) 
	{
		global $mainframe, $option;
		
		JToolBarHelper::title ( JText::_ ( 'Mighty Message Configuration' ) );
		JToolBarHelper::save ();
		JToolBarHelper::apply ();
		JToolBarHelper::cancel ( 'cancel', 'Close' );
		
		$bar = & JToolBar::getInstance ( 'toolbar' );
		$bar->addButtonPath ( JPATH_COMPONENT_ADMINISTRATOR . DS . 'library' );
		$bar->appendButton ( 'JSHelp', 'http://help.joomsuite.com/inbox/configuration.htm', 1000, 500 );
		
		jimport ( 'joomla.html.pane' );
		
		$uri = & JFactory::getURI ();
		$ini = JFile::read ( JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_jsinbox' . DS . 'config.ini' );
		
		$config_params = new JParameter ( $ini, JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_jsinbox' . DS . 'params.xml' );
		
		$defaultConfigs = new JParameter ( $ini, JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_jsinbox' . DS . 'user_options.xml' );

		foreach ($defaultConfigs->_xml['General']->children() as $child) {
			if (in_array($child->attributes('name'), array('addition_email', 'recieve_addressed_to_groups'))) {
				$defaultConfigs->_xml['General']->removeChild( $child );
			}
		}
		
		$pane = & JPane::getInstance ( 'tabs' );
		
		$this->assignRef ( 'pane', $pane );
		$this->assignRef ( 'config_params', $config_params );
		$this->assignRef ( 'request_url', $uri->toString () );
		$this->assignRef ( 'default_params', $defaultConfigs );
		
		parent::display ( $tpl );
	}
	
	function renderParamsGroup($group_name, $params = null) 
	{
		if (is_null($params))
			$params = & $this->config_params; 
		?>
		<fieldset class="adminform">
			<legend><?php echo JText::_ ( $group_name ); ?></legend>
		  <?php	print $params->render('params', $group_name); ?>
		</fieldset>
		<?php
	}
}