<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();

jimport('joomla.application.component.controller');
/*print JRequest::getvar('task');
exit;*/

class InboxControllerOptions extends JController
{

  function __construct()
  {
    global $mainframe;
	  
    parent::__construct ();
    $this->registerTask( 'apply', 'save' );
  }
  
  function display() 
  {

    JRequest::setVar( 'view', 'options' );
    parent::display();
  }
  
  function save()
  {
    global $mainframe, $option;
    
    $user   = JFactory::getUser();
    $task   = JRequest::getWord( 'task' );
    $folder = $mainframe->getUserStateFromRequest( $option.'.folder',  'folder',  '0', 'int' );
    
    $mOptions = & JModel::getInstance( 'Options', 'InboxModel' );
    
    $posted_params = JRequest::getVar( 'params' );
    
    if( $mOptions->store( $user, $posted_params ) ) {
      $mainframe->enqueueMessage( JText::_( 'Options saved successfuly' ) );
      
      if( INBOX_PU_USER_OPTIONS && JRequest::getVar( "tmpl" ) == "component" ) {
        if( $task == "save" ) {
          print '<script type="text/javascript">'
                 .'parent.Shadowbox.close();'
               .'</script>';
        } else {
          parent::display();
        }
      } else {
        if( $task == "apply" ) {
          parent::display();
        } else {
          $urlfolder = $folder ? "&folder=".$folder : "";
          $Itemid =  JRequest::getVar( 'Itemid', "" ) ? "&Itemid=".JRequest::getVar( 'Itemid', "" ) : "";
          $lang = JRequest::getVar( 'lang', "" ) ? "&lang=".JRequest::getVar( 'lang', "" ) : "";
          $mainframe->redirect( 'index.php?option=com_jsinbox'.$urlfolder.$Itemid.$lang );
        }
      }
    } else {
      $msg = JText::_( 'Error options save' );
      
      JError::raiseWarning( 301, $msg.' '.$mFolders->getError() );
      
      
      if( INBOX_PU_USER_OPTIONS ) {
        JRequest::setVar( 'tmpl', 'component' );
      }
      
      $this->display();
    }
  }
  
  function cancel()
  {
    global $mainframe;
    
    $cfolder  = $mainframe->getUserStateFromRequest( $option.'.cfolder', 'cfolder', '',  'word' );
    $folder   = $mainframe->getUserStateFromRequest( $option.'.folder',  'folder',  '0', 'int' );
    
    $Itemid =  JRequest::getVar( 'Itemid', "" ) ? "&Itemid=".JRequest::getVar( 'Itemid', "" ) : "";
    $lang = JRequest::getVar( 'lang', "" ) ? "&lang=".JRequest::getVar( 'lang', "" ) : "";
    
    $mainframe->redirect( 'index.php?option=com_jsinbox'.($folder ? "&folder=".$folder : "" ).($cfolder ? "&cfolder=".$cfolder : "" ).$Itemid.$lang );
  }
  
  

}
?>
