<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('JPATH_BASE') or die();


class JElementJslist extends JElement
{

	var	$_name = 'Jslist';

	function fetchElement($name, $value, &$node, $control_name)
	{
	    if( !is_dir(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_community') ){
            return '<b>'.JText::sprintf('%sJomsuite People Touch%s is not installed on your Joomla site', '<a href="http://www.mightyextensions.com/joomla-components/peopletouch-community-social-network-service">', '</a>').'</b>';
        }
		
		$class = ( $node->attributes('class') ? 'class="'.$node->attributes('class').'"' : 'class="inputbox"' );

		$options = array ();
		foreach ($node->children() as $option)
		{
			$val	= $option->attributes('value');
			$text	= $option->data();
			$options[] = JHTML::_('select.option', $val, JText::_($text));
		}

		return JHTML::_('select.genericlist',  $options, ''.$control_name.'['.$name.']', $class, 'value', 'text', $value, $control_name.$name);
	}
}
