<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('JPATH_BASE') or die();

class JElementJsmygroupsrestriction extends JElement
{
	var	$_name = 'Jsmygroupsrestriction';

	function fetchElement( $name, $value, &$node, $control_name )
	{
		$class = ( $node->attributes( 'class' ) ? 'class="'.$node->attributes( 'class' ).'"' : 'class="inputbox"' );

		$othergroups = $node->attributes( 'othergroups' );

		$user = JFactory::getUser();

		if( ! is_array( $value ) ) {
			if( trim( $value ) ) {
				$_value = array( $value );
			} else {
				$_value = array();
			}
		} else {
			$_value = $value;
		}

		$value = array();
		foreach( $_value as $v) {
			$e = explode( "_", $v );
			$value[$e[0]] = $e[1];
		}
		$API = JPATH_ROOT.DS.'components'.DS.'com_community'.DS.'api.php';
		if(file_exists($API))
		{
			require_once $API;
			if(class_exists('JSCommunityApiExtern'))
			{
				$groups = JSCommunityApiExtern::getUserGroupParty( $user->get( "id" ), "member", false );

				$options[] = "<b>".JText::_( "There are only groups in which you are member" ).":</b><br />";
				$options[] = "<table width='100%'>";
				foreach ( $groups['member'] as $group ) {
					$checked = ( isset( $value[$group->id] ) && $value[$group->id] == 1 ) || ! isset( $value[$group->id] );
					$options[] = "<tr>
			                <td>
			                  ".$group->title.":
			                </td>
			                <td nowrap='nowrap' width='1%'>
			                  ".JText::_( "Receive" )."
			                  <input type='radio' name='".$control_name."[".$name."][".$group->id."]' ".( $checked ? "checked" : "" )." class='inputbox' value='".$group->id."_1'>
			                  ".JText::_( "Ignore" )."
			                  <input type='radio' name='".$control_name."[".$name."][".$group->id."]' ".( !$checked ? "checked" : "" )." class='inputbox' value='".$group->id."_0'>
			                </td>
			              </tr>";
				}
				$options[] = "</table>";

				if( $othergroups ) {
					$checked = ( isset( $value['other'] ) && $value['other'] == 1 ) || ! isset( $value['other'] );
					$options[] = "<hr>";
					$options[] = "<table width='100%'>";
					$options[] = "<tr>
                            <td>
                              ".JText::_( "Other groups" )."
                            </td>
                            <td nowrap='nowrap' width='1%'>
		                      ".JText::_( "Receive" )."
                              <input type='radio' name='".$control_name."[".$name."][".$group->id."]' ".( $checked ? "checked" : "" )." class='inputbox' value='other_1'>
                              ".JText::_( "Ignore" )."
                              <input type='radio' name='".$control_name."[".$name."][".$group->id."]' ".( !$checked ? "checked" : "" )." class='inputbox' value='other_0'>
                              </td>
                          </tr>";
					$options[] = "</table>";
				}

				return implode( "", $options );
			}
		}
		return '<b><a href="http://www.mightyextensions.com/joomla-components/peopletouch-community-social-network-service">Mighty Touch</a> is not installed on your Joomla site</b>';
	}
}
