<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined ( '_JEXEC' ) or die ( 'Restricted access' );
class jinbHelper
{
	function getPercents( $count, $max_count )
	{
		$result = 0;
			
		$result = round( $count / ( $max_count / 100 ) );

		if( $result == 0 && $count > 0 ) {
			$result = 1;
		} else if( $result == 100 && $count < $max_count ) {
			$result = 99;
		}

		return $result;
	}

/*	function getGroupSendAccess( & $userGroupParty )
	{

		$send_group_access = 0;
			
		$accesses = array( "all"       => 4,
                       "member"    => 3,
                       "moderator" => 2,
                       "owner"     => 1,
                       "none"      => 0 );

		if( count( $userGroupParty['owner'] ) ) {
			$send_group_access = $send_group_access < $accesses[INBOX_OWNER_GROUP_SENDER] ? $accesses[INBOX_OWNER_GROUP_SENDER] : $send_group_access;
		}

		if( count( $userGroupParty['moderator'] ) ) {
			$send_group_access = $send_group_access < $accesses[INBOX_MODERATOR_GROUP_SENDER] ? $accesses[INBOX_MODERATOR_GROUP_SENDER] : $send_group_access;
		}

		if( count( $userGroupParty['member'] ) ) {
			$send_group_access = $send_group_access < $accesses[INBOX_MEMBER_GROUP_SENDER] ? $accesses[INBOX_MEMBER_GROUP_SENDER] : $send_group_access;
		}

		//if( !count( $userGroupParty['owner'] ) && !count( $userGroupParty['moderator'] ) && !count( $userGroupParty['member'] ) ) {
		$send_group_access = $send_group_access < $accesses[INBOX_EVERY_ONE_GROUP_SENDER] ? $accesses[INBOX_EVERY_ONE_GROUP_SENDER] : $send_group_access;
		//}

		return $send_group_access;
		//every_one_group_sender
	}*/

	function newMessageEvent( $from, $to, $inbox )
	{
		$title = JText::_("New message");

		$db = JFactory::getDBO();
		$sql = "SELECT id from #__js_inbox WHERE message_id = {$inbox->id} AND user_id = ".$to->get( "id" );
		$db->setQuery($sql);
		$mid = $db->loadResult();
		
		$text = "";
		$text .= '<div style="text-align:center">';
		$text .= '<table border="0" cellpadding="2" cellspacing="0">';
		$text .= '<tr valign="top">';
		$text .= '<td width="1%">';
		
		$pt_file = JPATH_ROOT.DS.'components'.DS.'com_community'.DS.'community.php';
		$ju_file = JPATH_ROOT.DS.'components'.DS.'com_juser'.DS.'juser.php';
		if(file_exists($pt_file))
		{
			$text .= '<a href="'.JRoute::_("index.php?option=com_community&view=profile&user_id={$from->id}&Itemid=".JRequest::getInt('Itemid')).'">';
			$text .= '<img src="'.JURI::root().'index.php?option=com_community&controller=profile&task=avatar&no_ajax=1&width=70&height=70&user_id='.$from->id.'" />';
			$text .= '</a>';
		} 
		else if(file_exists($ju_file))
		{
			$text .= '<a href="'.JRoute::_("index.php?option=com_juser&view=userlist&layout=profile&id={$from->id}&Itemid=".JRequest::getInt('Itemid')).'">';
			$text .= '<img src="'.JURI::root().'administrator/components/com_juser/avatars/'.$from->username.'.jpg" />';
			$text .= '</a>';
		}
		else $text .='';

		$text .= '</td><td>'.JText::sprintf('%s sent you a new message', $from->get('username'));
		$text .= '<br />'.JHTML::link(JURI::root().'index.php?option=com_jsinbox&controller=inbox&view=read&iid='.$mid.'_js_inbox&Itemid='.JRequest::getInt('Itemid'),
		'"'.$inbox->get('subject').'"', 'target="_blank"');
		$text .= '</td></tr></table>';
			
		$text .= '<input type="submit" class="button" value="'.JText::_( "Read" ).'" > ';
		$text .= '<input type="submit" class="button" value="'.JText::_("Close").'" onclick="document.eventForm.close_event.value = 1;">';
		$text .= '<input type="hidden" name="action" value="newmsg" >';
		$text .= '<input type="hidden" name="mid" value="'.$mid.'" >';
		$text .= '</div>';

		$user_id = $to->get( "id" );
			
		JSCommunityApi::registerEvent( $title, $text, $user_id, null, 0, 'com_jsinbox', 'InboxController', 1, '' );
	}

	function readMessageEvent( $sender, $reader, $message_subject )
	{
		$title = JText::_( "Message is read" );
		//$text = JText::sprintf( "%s read your message '%s'", $reader->get( 'username' ), $message_subject );
		$text = '';
		$text .= '<div style="text-align:center">';
		$text .= '<table border="0" cellpadding="2" cellspacing="0">';
		$text .= '<tr valign="top">';
		$text .= '<td width="1%">';
		
		$pt_file = JPATH_ROOT.DS.'components'.DS.'com_community'.DS.'community.php';
		$ju_file = JPATH_ROOT.DS.'components'.DS.'com_juser'.DS.'juser.php';
		if(file_exists($pt_file))
		{
			$text .= '<a href="'.JRoute::_("index.php?option=com_community&view=profile&user_id={$reader->id}&Itemid=".JRequest::getInt('Itemid')).'">';
			$text .= '<img src="'.JURI::root().'index.php?option=com_community&controller=profile&task=avatar&no_ajax=1&width=70&height=70&user_id='.$reader->id.'" />';
			$text .= '</a>';
		} 
		else if(file_exists($ju_file))
		{
			$text .= '<a href="'.JRoute::_("index.php?option=com_juser&view=userlist&layout=profile&id={$reader->id}&Itemid=".JRequest::getInt('Itemid')).'">';
			$text .= '<img src="'.JURI::root().'administrator/components/com_juser/avatars/'.$reader->username.'.jpg" />';
			$text .= '</a>';
		}
		else $text .='';

		$text .= '</td><td>'.JText::sprintf('%s read your message', $reader->get('username'));
		$text .= '<br />"'.$message_subject.'"';
		$text .= '</td></tr></table>';
			
		$text .= '<input type="submit" class="button" value="'.JText::_("Close").'" onclick="document.eventForm.close_event.value = 1;">';
		$text .= '</div>';
			
		$user_id = $sender->get( 'id' );

		JSCommunityApi::registerEvent( $title, $text, $user_id, null, 0, 'com_jsinbox', '', 1, '' );
	}

	function arrayToHidden( $arr, $name )
	{
		if( !isset( $arr ) || !is_array( $arr ) ) return;

		foreach( $arr as $key => $value ) {
			if( is_array( $value ) ) {
				jinbHelper::arrayToHidden( $value, $name.'['.$key.']' );
			} else {
				?>
<input
	type="hidden" name="<?php echo $name; ?>[<?php echo $key; ?>]"
	value="<?php echo str_replace( '"', '\"', $value ); ?>">
				<?php
			}
		}
	}

	function renderAdditions( $additions )
	{
		$result = "";

		if( count( $additions ) ) {
			$result .= "<ul>";
			foreach( $additions as $addition ) {
				$result .= "<li>";
				if ( isset( $addition[ "url" ] ) ) {
					$result .= '<a href="'.$addition[ "url" ].'">';
				}
				if ( isset( $addition[ "title" ] ) ) {
					$result .= $addition[ "title" ];
				} else {
					if ( isset( $addition[ "url" ] ) ) {
						$result .= $addition[ "url" ];
					}
				}
				if ( isset( $addition[ "url" ] ) ) {
					$result .= '</a>';
				}
				if( isset( $addition[ "id" ] ) ) {
					$result .= '['.$addition[ "id" ].']';
				}
				if( isset( $addition[ "text" ] ) ) {
					$result .= '<br />'.strip_tags( $addition[ "text" ]  );
				}
				$result .= '</li>';
			}
			$result .= '</ul>';
		}
		return $result;
	}

	function getUnknownAddressesErrorMsg( $addresses )
	{
		$filds_labels = array( "sto" => JText::_( 'To' ),  "to" => JText::_( 'To' ), "cc" => JText::_( 'CC' ), "bcc" => JText::_( 'BCC' ) );

		$msg = JText::_( 'Some address is unknown' ).':<br />';
		foreach( $addresses as $key => $unknown_addresses ) {
			$msg .= '&nbsp;&nbsp;&nbsp;&nbsp;'.$filds_labels[$key]."<br />";
			$msg .= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;".implode( ", ", $unknown_addresses)."<br />";
		}
		return $msg;
	}

	function addressesToUsernames( $addresses )
	{
		$result = array();
		foreach( $addresses as $key => $field ) {
			if( $key == "sto_names" ) {
				$result[$key] = $field;
			} else {
				foreach( $field as $user ) {
					$result[$key][$user->get( 'id' )] = $user->get( 'username' );
				}
			}
		}
		return $result;
	}

	function groupAddressesToUsernames( $group_addresses )
	{
		$result = array();
			
		foreach( $group_addresses as $group_id => $users ) {
			$result[$group_id] = array();
			foreach( $users as $u_key => $user ) {
				$result[$group_id][$user->get( "id" )] = $user->get( 'username' );
			}
		}
			
		return $result;
	}

	function parseAddresses( $addresses )
	{
		$db = JFactory::getDBO();

		$result = array();
		$result[ 'find' ] = array();
		$result[ 'find' ]['sto_names'] = array();
		$result[ 'find' ]['sto'] = array();
		$result[ 'find' ]['to'] = array();
		$result[ 'find' ]['cc'] = array();
		$result[ 'find' ]['bcc'] = array();
		$result[ 'unknown' ] = array();

		foreach ( $addresses as $field => $field_addresses ) {
			if( $field == "sto" ) {
				$sto_names = array();
				$address = array();
				foreach ( $field_addresses as $adr) {
					$address[] = $adr['to'];
					$sto_names[ $adr['to'] ] = $adr['name'];
				}
			} else {
				$field_addresses = str_replace( array( "\n", "\r" ), ",", $field_addresses );
				$address = explode( ',', $field_addresses );
			}

			$to_query = array();
			foreach( $address as $key => $addr ) {
				$a = trim( $addr );
				if( !$a ) continue;
				$to_query[] = $db->getEscaped( JString::strtolower( $a ) );
			}
			$to_query = array_unique( $to_query );

			if( count( $to_query ) ) {
				$db->setQuery( "SELECT id, username FROM #__users WHERE LOWER( username ) IN ('".implode( "','", $to_query )."') AND block = 0" );

				$from_query = $db->loadObjectList();
				foreach( $from_query as $user ) {
					if( $field == "sto" ) {
						$result[ 'find' ][ $field ][$user->id] = JFactory::getUser( $user->id );
						$result[ 'find' ][ 'sto_names' ][$user->id] = $sto_names[ $user->username ];
					} else {
						$result[ 'find' ][ $field ][$user->id] = JFactory::getUser( $user->id );
					}
					unset( $to_query[array_search( JString::strtolower( $user->username ), $to_query )] );
				}

				if( count( $to_query ) ) {
					$result[ 'unknown' ][ $field ] = $to_query;
				}
			}
		}
		return $result;
	}

	function initUserOptions()
	{
		$user   = JFactory::getUser();
		$mOptions = & JModel::getInstance( 'Options', 'InboxModel' );
		$options = $mOptions->getOptions( $user );
		$GLOBALS['jinbUserOptions'] = $options;
	}

	function typesMenu( $types )
	{
		$Itemid = JRequest::getVar( "Itemid" ) ? "&Itemid=".JRequest::getVar( "Itemid" ) : "";
		$tmpl   = INBOX_PU_COMPOSE ? "&tmpl=component" : "";
//		$rel    = INBOX_PU_COMPOSE ? "shadowbox;width=800;height=600" : "";

		$types_html = "<table>";
		foreach( $types as $t ) {
			$types_html .= "<tr>"
			."<td style='text-align:left;'>"
			.JHTML::link(JRoute::_("index.php?option=com_jsinbox&task=compose".$tmpl."&type_id=".$t->id.$Itemid),
				$t->name.( $t->description ? " <div class='small'>".$t->description."</div>" : "")
				, array('title' => $t->name) 
			)
			."</td>"
			."</tr>";
		}
		$types_html .= "</table>";

		return $types_html;
	}

	function moveFolderMenu( $folders, $currentFolder ) {

		$Itemid = JRequest::getVar( "Itemid" );

		$t = false;

		$folders_html = "<table><tr><td colspan='2' style='text-align:left;'>".JText::_( "Move selected messages to:" )."</td></tr>";
		foreach( $folders as $f ) {

			if( ( isset( $f->core ) && $f->core ) || $f->id == $currentFolder->id ) continue;
			$t = true;
			$folders_html .= "<tr>"
			."<td style='text-align:left;'>"
			."<a href='javascript: jinbMoveFolders( \"".JRequest::getVar( 'folder' )."\", \"".JRequest::getVar( 'cfolder', "inbox" )."\", \"".$f->id."\" );'>"
			."<table onclick='jinbMoveFolders( \"".JRequest::getVar( 'folder' )."\", \"".JRequest::getVar( 'cfolder', "inbox" )."\", \"".$f->id."\" );'><tr><td>"
			."<img src='".JURI::root()."/components/com_jsinbox/images/folders/".( $f->icon ? $f->icon : 'folder.png' )."' alt='".$f->title."'>"
			."</td><td>"
			."<div>"
			.$f->title
			."</div>"
			."<div class='small menu_folder_description'>".$f->description."</div>"
			."</td></tr></table>"
			."</a>"
			."</td>"
			."</tr>";
		}
		$folders_html .= "</table>";

		if( !$t ) {
			$folders_html = JText::_( 'There are no folders for move messages' );
		}

		return $folders_html;
	}

	function folderMenu( $folders ) {

		$Itemid = JRequest::getVar( "Itemid" );

		$user 		= & JFactory::getUser();
		$document 	= & JFactory::getDocument();
		
		$document->addScriptDeclaration(
			'window.addEvent("load", function() {
				if (window.navigator && window.navigator.appVersion.indexOf("Trident/4.0") >= 0) {
					$$("table.inbox_hreftable").each(function( i ) {
						i.setStyle("cursor", "pointer");
					});
				}
			});'
		);

		$tmpl = "";
		$rel = "";
		if( INBOX_PU_FOLDER ) {
			$tmpl = "&tmpl=component";
			$rel = "rel='shadowbox;width=400;height=400'";
		}

		$create_link_title = JText::_( "New folder" );
		$lang = JRequest::getWord( "lang", "" );
		$create_link = JRoute::_( JURI::root()."index.php?option=com_jsinbox&controller=folders&task=new&view=folder&layout=form".$tmpl.( $Itemid ? "&Itemid=".$Itemid : "" )."".( $lang ? "&lang=".$lang : "" ) );


		$folders_html = "<table>";

		foreach( $folders as $f ) {
			$folders_html .= "<tbody id='folderOption_".$f->id."'><tr>"
			."<td style='text-align:left;'>"
			."<a href='".JRoute::_( JURI::root().'index.php?option=com_jsinbox&'.( isset($f->core) && $f->core ? "cfolder=".$f->core : "folder=".$f->id ) ).( $Itemid ? "&Itemid=".$Itemid : "" )."'>"
			."<table class=\"inbox_hreftable\" onclick='window.location = \"".JRoute::_(JURI::root().'index.php?option=com_jsinbox&'.( isset($f->core) && $f->core ? "cfolder=".$f->core : "folder=".$f->id ) ).( $Itemid ? "&Itemid=".$Itemid : "" )."\";'><tr><td>"
			."<img src='".JURI::root()."components/com_jsinbox/images/folders/".( $f->icon ? $f->icon : 'folder.png' )."' alt='".$f->title."'>"
			."</td><td>"
			."<div>"
			.$f->title." (".$f->count_messages.")"
			."</div>"
			."<div class='small menu_folder_description'>".$f->description."</div>"
			."</td></tr></table>"
			."</a>"
			."</td>"
			.( ( !$f->global || $user->get( 'id' ) == $f->user_id ) ?
                         "<td>"
                         ."<a ".$rel." href='".$create_link.'&folder='.$f->id."'><img src='".JURI::root()."components/com_jsinbox/images/edit_folder.png' alt='".JText::_( "Edit" )."'></a>"
                         ."</td>
                         <td>"
                         ."<a href='javascript:void(0); jinbFolderRemoveButton(".$f->id.")'><img src='".JURI::root()."components/com_jsinbox/images/delete_folder.png' alt='".JText::_( "Remove" )."' id='jinbFolderRemoveButton".$f->id."'></a>"
                         ."</td>"
                         : "" )
                         ."</tr></tbody>";
		}
		$folders_html .= "</table>";

		$folders_html .= "<a id=\"new_folder_btn_h\" ".$rel." title='".$create_link_title."' href='".$create_link."'>
                       <center>".$create_link_title."</center>
                     </a>";

		return $folders_html;
	}

	function canSetFolderGlobal( $user = null )
	{
		if( ! $user ) {
			$user = JFactory::getUser();
		}
		return in_array( $user->gid, array( 23, 24, 25 ) );
	}

	function canSetPresetGlobal( $user = null )
	{
		if( ! $user ) {
			$user = JFactory::getUser();
		}
		return in_array( $user->gid, array( 23, 24, 25 ) );
	}

	function getCoreFolders( $folder = "" )
	{
		static $f = array();
		if( !count( $f ) ) {
			$db = JFactory::getDBO();
			$user = JFactory::getUser();

			$db->setQuery( "SELECT count( id ) FROM #__js_inbox WHERE folder_id = 0 AND trash = 0 AND user_id = ".$user->get( "id" ) );
			$f['inbox'] = new JObject();
			$f['inbox']->id             = 0;
			$f['inbox']->title          = JText::_('Inbox');
			$f['inbox']->description    = JText::_('Incoming messages');
			$f['inbox']->purpose        = "";
			$f['inbox']->icon           = "inbox.png";
			$f['inbox']->params         = "";
			$f['inbox']->user_id        = 0;
			$f['inbox']->global         = true;
			$f['inbox']->core           = "inbox";
			$f['inbox']->count_messages = $db->loadResult();

			$db->setQuery( "SELECT count( id ) FROM #__js_inbox_draft WHERE trash = 0 AND user_id = ".$user->get( "id" ) );
			$f['draft'] = new JObject();
			$f['draft']->id             = 0;
			$f['draft']->title          = JText::_('Drafts');
			$f['draft']->description    = JText::_('Folder for drafts');
			$f['draft']->purpose        = "";
			$f['draft']->icon           = "draft.png";
			$f['draft']->params         = "";
			$f['draft']->user_id        = 0;
			$f['draft']->global         = true;
			$f['draft']->core           = "draft";
			$f['draft']->count_messages = $db->loadResult();

			$db->setQuery( "SELECT count( id ) FROM #__js_inbox WHERE trash = 1 AND user_id = ".$user->get( "id" ) );
			$trash_messages = $db->loadResult();
			$db->setQuery( "SELECT count( id ) FROM #__js_inbox_draft WHERE trash = 1 AND user_id = ".$user->get( "id" ) );
			$trash_messages += $db->loadResult();
			$db->setQuery( "SELECT count( id ) FROM #__js_inbox_sent WHERE trash = 1 AND user_id = ".$user->get( "id" ) );
			$trash_messages += $db->loadResult();
			$db->setQuery( "SELECT count( id ) FROM #__js_inbox_junk WHERE trash = 1 AND user_id = ".$user->get( "id" ) );
			$trash_messages += $db->loadResult();

			$f['trash'] = new JObject();
			$f['trash']->id             = 0;
			$f['trash']->title          = JText::_('Trash');
			$f['trash']->description    = JText::_('Deleted messages');
			$f['trash']->purpose        = "";
			$f['trash']->icon           = "trash.png";
			$f['trash']->params         = "";
			$f['trash']->user_id        = 0;
			$f['trash']->global         = true;
			$f['trash']->core           = "trash";
			$f['trash']->count_messages = $trash_messages;

			$db->setQuery( "SELECT count( id ) FROM #__js_inbox_sent WHERE trash = 0 AND user_id = ".$user->get( "id" ) );
			$f['sent'] = new JObject();
			$f['sent']->id             = 0;
			$f['sent']->title          = JText::_('Sent');
			$f['sent']->description    = JText::_('Sent messages');
			$f['sent']->purpose        = "";
			$f['sent']->icon           = "sent.png";
			$f['sent']->params         = "";
			$f['sent']->user_id        = 0;
			$f['sent']->global         = true;
			$f['sent']->core           = "sent";
			$f['sent']->count_messages = $db->loadResult();

			$db->setQuery( "SELECT count( id ) FROM #__js_inbox_junk WHERE trash = 0 AND user_id = ".$user->get( "id" ) );
			$f['junk'] = new JObject();
			$f['junk']->id             = 0;
			$f['junk']->title          = JText::_('Junk');
			$f['junk']->description    = JText::_('Unwanted messages');
			$f['junk']->purpose        = "";
			$f['junk']->icon           = "junk.png";
			$f['junk']->params         = "";
			$f['junk']->user_id        = 0;
			$f['junk']->global         = true;
			$f['junk']->core           = "junk";
			$f['junk']->count_messages = $db->loadResult();
		}

		return $folder ? $f[$folder] : $f;
	}

	function showUserName( $user, $altName = "", $linkage = true )
	{
		$result = "";
		switch( INBOX_USER_NAMES ) {
			case "name":
				$user_name_text = ( $altName ? $altName : $user->get( "name" ) );
				break;
			default:
			case "username":
				$user_name_text = $user->get( "username" );
				break;
			case "both":
				$user_name_text = ( $altName ? $altName : $user->get( "name" ) )." (<span class='small'>".$user->get( "username" )."</span>)";
				break;
		}

		$context = JRequest::getVar( "context", "" );
		$format = JRequest::getVar( "format", "" );

		if( $linkage && INBOX_USERNAME_LINKAGE ) {
			if( class_exists( "JSCommunityApi" ) && $context != "print" && $format != "pdf" ) {
				$result = JSCommunityApi::getUserSlideMenu( $user->get( "id" ), $user_name_text );
			} else if ( INBOX_USER_PROFILE_LINK ){
				$result = "<a href='".JURI::root().str_replace( "[user_id]", $user->get( "id" ), INBOX_USER_PROFILE_LINK )."'>".$user_name_text."</a>";
			} else {
				$result = $user_name_text;
			}
		} else {
			$result = $user_name_text;
		}

		return $result;
	}
}

class jinbAddressShower
{
	var $addresses = null;
	var $ready = array();

	var $owner = null;

	function init( $xml, $owner )
	{
		$registry = new JinbRegistry();
		$registry->loadJinbXML( $xml );
		$this->addresses = $registry->toArray();

		$this->owner = JFactory::getUser( $owner );
	}

	function show( $field, $linkage = true )
	{
		if( !isset( $this->ready[ $field ] ) ) {
			if( !isset( $this->addresses[ 'to' ] ) ) {
				$this->addresses[ 'to' ] = array();
			}
			if( $field == "to" ) {
				if( isset( $this->addresses[ 'sto' ] ) ) {
					if( in_array( $this->owner->get( 'username' ), $this->addresses[ 'sto' ] ) ) {
						$user_id = $this->owner->get( 'id' );
						$this->ready[ $field ] = $this->fieldToAddresses( array( $user_id => $this->addresses[ 'sto' ][$user_id] ), true, $linkage );
					} else {
						$this->ready[ $field ] = $this->fieldToAddresses( $this->addresses[ 'sto' ], true, $linkage );
					}
				} else {
					$this->ready[ $field ] = $this->fieldToAddresses( $this->addresses[ 'to' ], false, $linkage );
				}
				if( isset( $this->addresses[ 'group_addresses' ] ) ) {
					foreach ( $this->addresses[ 'group_addresses' ] as $gr_id => $users ) {
						foreach ( $users as $u_id => $user ) {
							if( $u_id == $this->owner->get( "id" ) && ! isset( $this->addresses['to'][$u_id] ) && ! isset( $this->addresses['sto'][$u_id] ) ) {
								$this->ready[ $field ] = $this->fieldToAddresses( array( $u_id => $user ) , false, $linkage );
							}
						}
					}
				}
			}
			if( $field == "cc" ) {
				if( !isset( $this->addresses[ 'cc' ] ) ) {
					$this->addresses[ 'cc' ] = array();
				}
				if( isset( $this->addresses[ 'sto' ] ) ) {
					if( in_array( $this->owner->get( "username" ), $this->addresses[ 'sto' ] ) ) {
						$this->ready[ $field ] = array();
					} else {
						$this->ready[ $field ] = $this->fieldToAddresses( $this->addresses[ 'cc' ], false, $linkage );
					}
				} else {
					$this->ready[ $field ] = $this->fieldToAddresses( $this->addresses[ 'cc' ], false, $linkage );
				}
			}
		}
		return $this->ready[ $field ];
	}

	function fieldToAddresses( $users, $find_alt_name = false, $linkage = true )
	{
		$result = array();
		foreach ( $users as $user_id => $username ) {
			$user = &JFactory::getUser( $user_id );
			$user_alt_name = $find_alt_name && isset( $this->addresses[ 'sto_names' ][$user_id] ) ? $this->addresses[ 'sto_names' ][$user_id] : "";

			$result[] = jinbHelper::showUserName( $user, $user_alt_name, $linkage );
		}
		return $result;
	}
}

class jinbResourceFieldHelper
{
	var $fields           = array();
	var $resource_type_id = null;
	var $posted_fields    = array();

	function init( $msgType )
	{
		$db   = & JFactory::getDBO();

		$this->resource_type_id = $msgType->params->get( "resource_type_id" );

		$q = "SELECT '0' AS id, f.id as fid, f.params, f.title, f.type, f.ordering"
			."\n  FROM #__js_res_fields AS f "
			."\n WHERE f.published = 1 AND f.type_id = ".$this->resource_type_id
			."\n ORDER BY f.ordering"
		;
		
		$db->setQuery( $q );
		$this->fields = $db->loadObjectList();
	}

	function fieldsValueProcessing()
	{
		$user = JFactory::getUser();

		$dispatcher    =& JDispatcher::getInstance();
		JPluginHelper::importPlugin('joomsuite_content_fields');

		$posted_fields = JRequest::getVar( 'fields', array() );

		foreach( $this->fields AS $key => $field ) {

			$row = new stdClass();
			$row->user_id = $user->get( "id" );

			$this->fields[ $key ]->field_value = isset( $posted_fields[ $field->fid ] ) ? $posted_fields[ $field->fid ] : "";

			$fparam = new JParameter( $field->params );
			
			if ($fparam->get('frequired') && empty($this->fields[ $key ]->field_value))
			{
				$this->error = $field->title.' '.JText::_('is required');
				return false;
			}

			$error = "";

			@$dispatcher->trigger( 'onBeforeSave', array ( &$this->fields[ $key ]->field_value, $fparam, $field->type, $field->fid, $row, &$error ) );
			
			if ($error)
			{
				$this->error = $error;
				return false;
			}

			$request_fields = JRequest::getVar( "fields", array() );
			$request_fields[ $field->fid ] = $this->fields[ $key ]->field_value;
			JRequest::setVar( "fields", $request_fields );
		}
		
		return true;
	}

	function joinFieldsToMessageBody( & $body )
	{
		$user = JFactory::getUser();

		$body .= '<table class="contentpaneopen js_content" width="100%">';

		$dispatcher    =& JDispatcher::getInstance();
		JPluginHelper::importPlugin('joomsuite_content_fields');

		$tab_close = false;
		foreach( $this->fields AS $field ) {

			$fparam = new JParameter( $field->params );

			if( !$fparam->get( 'tabled' ) ) {
				if( ! $tab_close ) $body .= "</table>";
				$tab_close = true;
			} else {
				if( $tab_close ) $body .= '<table class="contentpaneopen js_content" width="100%">';
				$tab_close = false;
			}

			$get = false;

			$dispatcher->trigger( 'onRenderFieldValue', array( & $get, & $field, $fparam, $field->type, $user->get( 'id' ) ) );

			if( $get ) {
				$body .= '<tr><td>'.$field->title.':</td><td>'.$get.'</td></tr>';
			}
		}

		if(!$tab_close) $body .= "</table>";

	}
}

class JINBParameter extends JParameter
{
	function __construct($data, $path = '')
	{
			
		parent::__construct( '_default' );

		// Set base path
		$this->_elementPath[] = JPATH_ROOT.DS.'libraries'.DS.'joomla'.DS.'html'.DS.'parameter'.DS.'element';

		if (trim( $data )) {
			$this->loadINI($data);
		}

		if ($path) {
			$this->loadSetupFile($path);
		}

		$this->_raw = $data;
	}

	function render( $name = 'params', $param_name_header = "", $param_value_header = "", $group = '_default' )
	{
			
		if (!isset($this->_xml[$group])) {
			return false;
		}

		global $mainframe;

		$params = $this->getParams($name, $group);

		$url_params = & $mainframe->getParams();

		$html = array ();

		$html[] = '<table  width="100%" border="0" cellspacing="0" cellpadding="2" align="center">';

		if( $param_name_header || $param_value_header ) {

			$html[] = '<tr>';
			$html[] = '<td width="5" class="sectiontableheader'.$url_params->get( 'pageclass_sfx' ).'">'.
			$param_name_header.
                      '</td>';

			$html[] = '<td width="5" class="sectiontableheader'.$url_params->get( 'pageclass_sfx' ).'">'.
			$param_value_header.
                      '</td>';
			$html[] = '</tr>';
		}

		$k = 1;

		foreach ($params as $param)
		{
			if( !class_exists( "JSCommunityApiExtern" ) && in_array( $param[5], array( 'recieve_only_from_friends',
																        	           'recieve_only_from_my_groups',
																        	           'recieve_addressed_to_groups',
																        	           'recieve_new_message_alert',
																        	           'recieve_message_read_alert' ) ) ){
			continue;
																        	           }
																        	           $html[] = '<tr height="20" class="sectiontableentry'.$k.'">';

																        	           if( $param[0] ) {
																        	           	$html[] = '<td width="40%" valign="top">'.$param[0].'</td>';
																        	           	$html[] = '<td class="paramlist_value">'.$param[1].'</td>';
																        	           } else {
																        	           	$html[] = '<td class="paramlist_value" colspan="2">'.$param[1].'</td>';
																        	           }

																        	           $html[] = '</tr>';

																        	           $k = $k == 1 ? 2 : 1;
		}

		if ( count( $params ) < 1 ) {
			$html[] = "<tr><td colspan=\"2\"><i>".JText::_('There are no Parameters for this item')."</i></td></tr>";
		}

		$html[] = '</table>';

		return implode("\n", $html);
	}
}
?>