<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );

if( !class_exists( 'JS_SAFE_xajax' ) ) {
  require_once( JSPATH_INBOX_ADMIN.DS.'library'.DS.'xajaxAIO.inc.php' );
}
function loadAddressBook()
{
  $user = JFactory::getUser();
  $db   = JFactory::getDBO();

  if( JFolder::exists( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_community' ) ) {
	require_once JPATH_SITE.DS.'components/com_community/api.php';
  }
  
  $query =       "    SELECT SUM( amount )"
                   .",IF( u_from.id = ".$user->get( 'id' ).", u_to.id, u_from.id ) AS user_id "
                   .",IF( u_from.id = ".$user->get( 'id' ).", u_to.username, u_from.username ) AS username "                   
                   .",IF( u_from.id = ".$user->get( 'id' ).", 'from me', 'to me' ) AS target "
              ."\n      FROM #__js_inbox_address_book as b"
              ."\n LEFT JOIN #__users as u_from ON u_from.id = b.user_id_from"
              ."\n LEFT JOIN #__users as u_to   ON u_to.id = b.user_id_to"
              ."\n     WHERE u_from.id = ".$user->get( 'id' )." OR u_to.id = ".$user->get( 'id' )
              ."\n  GROUP BY username, target"
              ."\n  ORDER BY username, target"
              ;
  $db->setQuery( $query );          
  $users = $db->loadObjectList();

  /*
   *  Generate correspondence HTML
   */
  
  $html = "<table id='jinbAddressesList' >";
  
  if( !count( $users ) ) {
    $html .= "<tr>";
    $html .=   "<td>";
    $html .=     JText::_( "There are no Addresses in your Address Book yet" );
    $html .=   "</td>";
    $html .= "</tr>";
  }else{
  	  $key = 0;
	  while( isset( $users[$key] ) ) {
	    $u = $users[$key];
	    if( isset( $users[$key+1] ) &&  $users[$key+1]->username == $u->username ) {
	      $from_me = 1;
	      $to_me = 1;
	      $key++;
	    } else {
	      $from_me = $u->target == "from me" ? 1 : 0 ;
	      $to_me = $u->target == "to me" ? 1 : 0 ;
	    }
	    $user_ = & JFactory::getUser( $u->user_id );
	    $user_name = jinbHelper::showUserName( $user_, "", false );
	    
	    $html .= "<tr _from_me='".$from_me."' _to_me='".$to_me."' name='".$u->username."'>";
	    $html .=   "<td>";
	    $html .=     "<a href='javascript:jinbAddAddress(\"".$u->username."\")'>".$user_name."</a>";
	    $html .=   "</td>";
	    $html .= "</tr>";
	    
	    $key++;
	  }
  }
  
  $html .= "</table>";
  
  if( class_exists( 'JSCommunityApiExtern' ) ) {
	  
	  /*
	   *  Generate friends HTML
	   */
  	  $fusers = JSCommunityApiExtern::getUserFriends( $user->get( 'id' ) );
  	  
	  $fhtml = "<table id='jinbFriendsList' >";
  	  if( !count( $fusers ) ) {
	    $fhtml .= "<tr>";
	    $fhtml .=   "<td>";
	    $fhtml .=     JText::_( "There are no Friends in your Address Book yet" );
	    $fhtml .=   "</td>";
	    $fhtml .= "</tr>";
	  }else{
		  $key = 0;
		  while( isset( $fusers[$key] ) ) {
		    $user_ = & JFactory::getUser( $fusers[$key] );
		    $user_name = jinbHelper::showUserName( $user_, "", false );
		    
		    
		    $fhtml .= "<tr _from_me='".$from_me."' _to_me='".$to_me."' name='".$user_->username."'>";
		    $fhtml .=   "<td>";
		    $fhtml .=     "<a href='javascript:jinbAddAddress(\"".$user_->username."\")'>".$user_name."</a>";
		    $fhtml .=   "</td>";
		    $fhtml .= "</tr>";
		    
		    $key++;
		  }
	  }
	  
	  $fhtml .= "</table>";
  
  }
  
  $objResponse = new JS_SAFE_xajaxResponse();
  
  $objResponse->assign( "jinbAddressesListContainer", "innerHTML", $html );
  if( class_exists( 'JSCommunityApiExtern' ) ) {
      $objResponse->assign( "jinbFriendsListContainer", "innerHTML", $fhtml );
  }
  
  return $objResponse;
}

function expandGroupCategory( $catid, $search )
{
    $user = JFactory::getUser();
    $db   = JFactory::getDBO();
  
    $search = trim( $search );
    
    $where = "";
    if( $search ) {
        $where =  ' AND LOWER( gr.title ) LIKE "%'.JString::strtolower( $search ).'%"';
    }
    
    $query =       "   SELECT gr.id, gr.title"
                ."\n     FROM #__community_communities AS gr"
                ."\n    WHERE gr.catid = ".$catid." ".$where
                ."\n ORDER BY gr.title"
                ;
    $db->setQuery( $query );          
  
    $groups = $db->loadObjectList();
    
    $html = "<table>";
    foreach( $groups as $group ) {
        $html .= "<tr>";
        $html .=   "<td>";
        $html .=     "<a href='javascript:jinbAddAddressGroup( ".$group->id.", \"".htmlentities( $group->title )."\" )'>".$group->title."</a>";
        $html .=   "</td>";
        $html .= "</tr>";
    }
      
    if( !count( $groups ) ) {
        $html .= "<tr>";
        $html .=   "<td>";
        $html .=     JText::_( "There is no Groups in this Group Category" );
        $html .=   "</td>";
        $html .= "</tr>";
    }
    $html .= "</table>";
    
    $objResponse = new JS_SAFE_xajaxResponse();
    $objResponse->assign( "jinb_groups_".$catid, "innerHTML", $html );
    return $objResponse;
}

function loadGroupBook( $search )
{
	$user = JFactory::getUser();
    $db   = JFactory::getDBO();
    
    $search = trim( $search );
    
    $where = "";
    if( $search ) {
    	$where =  'WHERE LOWER( gr.title ) LIKE "%'.JString::strtolower( $search ).'%"';
    }
    
    $query =       "    SELECT cat.id, cat.title, COUNT( gr.id ) AS groups"
                ."\n      FROM #__community_group_categories AS cat"
                ."\n LEFT JOIN #__community_communities AS gr ON gr.catid = cat.id"
                ."\n ".$where
                ."\n  GROUP BY cat.id"
                ."\n  ORDER BY cat.title"
                ;
    $db->setQuery( $query );          
  
    $categories = $db->loadObjectList();
    
    $html = "<table id='jinbFriendsList' >";
    foreach( $categories as $category ) {
        $html .= "<tr>";
        $html .=   "<td>";
        $html .=     "<img id='jinb_groups_img_".$category->id."' src='".JURI::root()."components/com_jsinbox/images/expandall.png'> ";
        $html .=     "<a id='jinb_groups_link_".$category->id."' href='javascript:jinbExpandGroupCategory( ".$category->id.", document.getElementById( \"jinbGroupSearch\" ).value )'>".$category->title." (".$category->groups.")</a>";
        $html .=     "<div style='display:none; padding-left:10px;' id='jinb_groups_".$category->id."'>";
        $html .=       "<img src='".JURI::root()."administrator/components/com_jsinbox/images/load.gif' alt='".JText::_( "Loading Groups" )."'>";
        $html .=     "</div>";
        $html .=   "</td>";
        $html .= "</tr>";
    }
      
    if( !count( $categories ) ) {
        $html .= "<tr>";
        $html .=   "<td>";
        if( $search ) {
          $html .=     JText::_( "No Groups found" );
        } else {
          $html .=     JText::_( "There is no Groups on this site yet" );
        }
        $html .=   "</td>";
        $html .= "</tr>";
    }
    $html .= "</table>";
    
	$objResponse = new JS_SAFE_xajaxResponse();
	$objResponse->assign( "jinbGroupListContainer", "innerHTML", $html );
	return $objResponse;
}

function loadChainedMsgBody( $msg_id )
{
  $tMesages = &JTable::getInstance( "Messages", "Table" );
  $tMesages->load( $msg_id );
  
  $userFrom = & JFactory::getUser( $tMesages->user_id );
  
  $addressesTo = implode( ", ", $tMesages->getAddresses( 'to' ) );
  $addressesCC = implode( ", ", $tMesages->getAddresses( 'cc' ) );
  
  $ctime = new JDate( $tMesages->get( "ctime" ) );
  
  $objResponse = new JS_SAFE_xajaxResponse();
  $objResponse->assign( "jinbFrom_".$msg_id, "innerHTML", $userFrom->username );
  $objResponse->assign( "jinbTo_".$msg_id,   "innerHTML", $addressesTo );
  
  if( $addressesCC ) {
    $objResponse->assign( "jinbCCCont_".$msg_id, "style.display", "" );
    $objResponse->assign( "jinbCC_".$msg_id,     "innerHTML",     $addressesCC );
  }
  
  $objResponse->assign( "jinbSubject_".$msg_id, "innerHTML", $tMesages->get( "subject" ) );
  $objResponse->assign( "jinbDate_".$msg_id,    "innerHTML", $ctime->toFormat( INBOX_TIME_FORMAT ) );
  $objResponse->assign( "jinbBody_".$msg_id,    "innerHTML", $tMesages->get( "body" ) );
  
  $objResponse->assign( "jinbLoad_".$msg_id,     "style.display", "none" );
  $objResponse->assign( "jinbBodyCont_".$msg_id, "style.display", "block" );
 
  $objResponse->script( "jinbLinksToBlank();" );
  
  return $objResponse;
}

function removeFolder( $folder_id )
{
  $folder = &JTable::getInstance( "Folders", "Table" );
  $folder->load( $folder_id );
  $folder->delete();
  
  $objResponse = new JS_SAFE_xajaxResponse();
  
  $objResponse->script( "felixItemManager_v1.remove( 'folderOption_".$folder_id."' );" );
  $objResponse->script( "jinbRedrawMoveMenu();" );
  return $objResponse;
}

function redrawMoveMenu( $menu_id = 'jinbMoveMenu_' )
{
  global $mainframe, $option;
  $mFolders = & JModel::getInstance( 'Folders', 'InboxModel' );
  $user = JFactory::getUser();
  $folders  = $mFolders->getFolders( $user );
  
  $cfolder  = $mainframe->getUserStateFromRequest( $option.'.cfolder', 'cfolder', '',  'word' );
  $folder   = $mainframe->getUserStateFromRequest( $option.'.folder',  'folder',  '0', 'int' );
  
  $currentFolder = $mFolders->getFolder( $folder, $cfolder );
  
  $folders_html = jinbHelper::moveFolderMenu( $folders, $currentFolder );
  
  $objResponse = new JS_SAFE_xajaxResponse();
  
  $objResponse->assign( $menu_id, "innerHTML", $folders_html );
  $objResponse->script( "jinbShowRedrawedMoveMenu();" );
  
  return $objResponse;
  
}

function redrawFoldersMenu( $menu_id = 'jinbFolderMenu_', $show = true, $itemid )
{
	if ($itemid)
		JRequest::setVar('Itemid', $itemid);
	
  $mFolders = & JModel::getInstance( 'Folders', 'InboxModel' );
  $user = JFactory::getUser();
  $folders  = $mFolders->getFolders( $user );
  
  $folders_html = jinbHelper::folderMenu( $folders );
  
  $objResponse = new JS_SAFE_xajaxResponse();
  
  $objResponse->assign( $menu_id, "innerHTML", $folders_html );
  if ($show)
  	$objResponse->script( "jinbShowRedrawedFolderMenu();" );
  
  return $objResponse;
  
}

function jinbChangeFlag( $flag_id, $row_id, $new_flag )
{
  jimport( 'joomla.database.table' );
  
  $tInbox = & JTable::getInstance( 'Inbox', 'Table' );
  
  $tInbox->load( $row_id );
  $tInbox->set( 'flag', $new_flag );
  $tInbox->store();

  $objResponse = new JS_SAFE_xajaxResponse();

  $objResponse->assign( $flag_id, "src", JURI::root()."components/com_jsinbox/images/flags/".$tInbox->flag );
  $objResponse->assign( $flag_id, "alt", ucfirst( str_replace( "_", " ", substr( $tInbox->flag, 0, strrpos ( $tInbox->flag, "." ) ) ) ) );
  
  return $objResponse;
}

$xajax = new JS_SAFE_xajax( JURI::root().'index.php?option=com_jsinbox&no_html=1' ); 

//$xajax->setFlag('debug',true);
//$xajax->configure('defaultMode ', 'synchronous');
$xajax->registerFunction( "expandGroupCategory" );
$xajax->registerFunction( "loadGroupBook" );
$xajax->registerFunction( "loadAddressBook" );
$xajax->registerFunction( "loadChainedMsgBody" );
$xajax->registerFunction( "removeFolder" );
$xajax->registerFunction( "jinbChangeFlag" );
$xajax->registerFunction( "redrawFoldersMenu" );
$xajax->registerFunction( "redrawMoveMenu" );

$xajax->processRequest();
$xajax->printJavascript( JURI::root().'administrator/components/com_jsinbox/js/' );
?>