
  var addresses;
  var groups;
  var current_inbox = ''; 
  var added_groups = 0;
  
  function jinbSearchAddresses( )
  {
    var table = $( 'jinbAddressesList' );
    var tChildren = table.childNodes
    for( var i =0 ; i < tChildren.length; i++ ) {
     if( tChildren[i].tagName.toLocaleLowerCase() == "tbody" ) {
       table = tChildren[i];
     }
    }
    
    var searchField  = $( 'jinbAddressesSearch' );
    var searchToMe   = $( 'jinbToMe' );
    var searchFromMe = $( 'jinbFromMe' );
    
    var tChildren = table.childNodes
    for( var i =0 ; i < tChildren.length; i++ ) {
      var toState = "";
      if( tChildren[i].tagName.toLocaleLowerCase() == "tr" && tChildren[i].getAttribute("name") ) {
        if( searchField.value ) {
          if( tChildren[i].getAttribute("name").toLocaleLowerCase().indexOf( searchField.value.toLocaleLowerCase() ) != -1 ) {
            toState = "";
          } else {
            toState = "none";
          }
        } 

        if( searchToMe.checked && tChildren[i].getAttribute( "_to_me" ) != 1 ) {
          toState = "none";
        }
        if( searchFromMe.checked && tChildren[i].getAttribute( "_from_me" ) != 1 ) {
          toState = "none";
        }
        
        tChildren[i].style.display = toState;
      }
    }
  }

  function jinbSearchFriends( )
  {
    var table = $( 'jinbFriendsList' );
    var tChildren = table.childNodes
    for( var i =0 ; i < tChildren.length; i++ ) {
     if( tChildren[i].tagName.toLocaleLowerCase() == "tbody" ) {
       table = tChildren[i];
     }
    }
    
    var searchField  = $( 'jinbFriendsSearch' );
    
    var tChildren = table.childNodes
    for( var i =0 ; i < tChildren.length; i++ ) {
      var toState = "";
      if( tChildren[i].tagName.toLocaleLowerCase() == "tr" && tChildren[i].getAttribute("name") ) {
        if( searchField.value ) {
          if( tChildren[i].getAttribute("name").toLocaleLowerCase().indexOf( searchField.value.toLocaleLowerCase() ) != -1 ) {
            toState = "";
          } else {
            toState = "none";
          }
        } 
        
        tChildren[i].style.display = toState;
      }
    }
  }
  
  function jinbAddAddress( username )
  {
    var field_id = $( 'inbFieldId' ).value;
    var field = $( field_id );
    
    field.value += ( field.value ? ", " : "" ) + username;
  }


  if( $( 'inbox_bcc' ) && $( 'inbox_bcc' ).value ) {
    $('inboxBCCContainer').style.display = '';
    separator = $('jinbAddSeparator');
    if( separator ) {
      separator.style.display = 'none';
    }
  }
  if( $( 'inbox_cc' ) && $( 'inbox_cc' ).value ) {
    $('inboxCCContainer').style.display = '';
    separator = $('jinbAddSeparator');
    if( separator ) {
      separator.style.display = 'none';
    }
  }
  
  function jinbShowCC( )
  {
    $('inboxCCContainer').style.display = '';
    $('jinbAddCCLink').style.display = 'none';
    separator = $('jinbAddSeparator');
    if( separator ) {
      separator.style.display = 'none';
    }
  }
  
  function jinbShowBCC( )
  {
    $('inboxBCCContainer').style.display = '';
    $('jinbAddBCCLink').style.display = 'none'
    separator = $('jinbAddSeparator');
    if( separator ) {
      separator.style.display = 'none';
    }
  }
  
  function addresses_toggle(){
    if( groups.open ){
      	groups_toggle();
    }
    if( addresses.open ){
    	addresses.toggle();
    	setTimeout("$('popup_wrapper').setStyle('visibility', 'hidden');", addresses.options.duration);
    }else{
    	$('popup_wrapper').setStyle('visibility', 'visible');
        addresses.toggle();
    }
  }

  function groups_toggle(){
	if( addresses.open ){
		addresses_toggle();
	}
	  
	if( groups.open ){
    	groups.toggle();
  		setTimeout("$('popup_group_wrapper').setStyle('visibility', 'hidden');", groups.options.duration);
    }else{
    	$('popup_group_wrapper').setStyle('visibility', 'visible');
        groups.toggle();
    }
  }
  
  function jinbShowAddressesMenu( field, field_container )
  {
    if( typeof field == "string" ) field = $( field );
    
    $( 'inbFieldId' ).value = field.id;
    
    if( $( 'jinbAddressesLoaded' ).value != 1 ) {
      xajax_loadAddressBook();
      $( 'jinbAddressesLoaded' ).value = 1;
    }

    if( field != current_inbox ) 
    	addresses.hide();
    
    var pw = $('popup_wrapper');
    pw.setStyle('top', field.getTop() + field.getSize().size.y + 2);
    pw.setStyle('left', field.getLeft());

    addresses_toggle(field);

    current_inbox = field;
  }

  function jinbShowGroupAddressesMenu()
  {
	  if( $( 'jinbGroupAddressesLoaded' ).value != 1 ) {
          xajax_loadGroupBook( '' );
          $( 'jinbGroupAddressesLoaded' ).value = 1;
	  }
	  var field = $('inbox_to');
	  var pw = $('popup_group_wrapper');
	  pw.setStyle('left', field.getLeft());
	  if( added_groups == 0 ){
		  pw.setStyle('top', field.getTop() + field.getSize().size.y + 2);
	  }else{
		  pw.setStyle('top', field.getTop() + field.getSize().size.y + $('field_groups').getSize().size.y + 2);
	  }
      groups_toggle();
  }
  
  function jinbSearchGroups( search )
  {
	  xajax_loadGroupBook( search );
  }
  
  function jinbExpandGroupCategory( catid, search ) {
	  var container = $( "jinb_groups_" + catid );
	  var link      = $( "jinb_groups_link_" + catid );
	  var img       = $( "jinb_groups_img_" + catid );
	  
	  container.style.display = "block";
	  img.src = "components/com_jsinbox/images/collapseall.png";
	  
	  link.href =" javascript:jinbCollapseGroupCategory( " + catid + " )";
	  if( typeof container.loaded == "undefined" ) {
		  container.loaded = true;
		  xajax_expandGroupCategory( catid, search );
	  }
  }

  function jinbCollapseGroupCategory( catid )
  {
	  var container = $( "jinb_groups_" + catid );
      var link = $( "jinb_groups_link_" + catid );
      var img       = $( "jinb_groups_img_" + catid );
      
      container.style.display = "none";
      img.src = "components/com_jsinbox/images/expandall.png";
      
      link.href =" javascript:jinbExpandGroupCategory( " + catid + ", $( 'jinbGroupSearch' ).value )";
  }

  function jinbAddAddressGroup( gr_id, gr_title )
  {
	  var field_gr_container = $( "field_groups" );

	  if( $( "address_gr_" + gr_id ) ) {
           return;
	  }
	  
	  field_gr_container.innerHTML +=  "<span style='margin-left:15px;' id='address_gr_" + gr_id + "'>"
	                                    + "<a href='javascript:jinbRemoveGroupAddress( " + gr_id + " );'>"
	                                        + "<img src='components/com_jsinbox/images/delete_folder.png'>"
	                                    + "</a>"
	                                    + " " + gr_title
	                                    + "<input type='hidden' name='group_addresses[]' value='" + gr_id + "'>"
	                                 + "</span>";

	  if( added_groups == 0 ){
    	  var pw = $('popup_group_wrapper');
          pw.setStyle('top', field_gr_container.getTop() + field_gr_container.getSize().size.y + 2);
          added_groups++;
	  }else{
		  added_groups++;
	  }
  }

  function jinbRemoveGroupAddress( gr_id )
  {
	  var gr_address = $( "address_gr_" + gr_id );

	  gr_address.parentNode.removeChild( gr_address );

	  added_groups--;
	  if( added_groups == 0 ){
		  var field = $('inbox_to');
    	  var pw = $('popup_group_wrapper');
    	  pw.setStyle('top', field.getTop() + field.getSize().size.y + 2);
	  }
  }
  
  window.addEvent('domready', function(){
	  addresses = new Fx.Slide('inbox_addresses', {mode: 'horizontal'});
	  groups = new Fx.Slide('inbox_group_addresses', {mode: 'horizontal'});
	  
	  groups.hide();
	  addresses.hide();
  });
  