<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');?>

<?php if( JRequest::getWord( 'tmpl', '' ) == "component" ) { ?>
<div class="componentbody">
<?php } ?>

<?php if( JRequest::getWord( 'tmpl', '' ) != "component" ) { ?>
<div class="componentheading<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>">
  <?php echo (JRequest::getWord( "task" ) == "new" ? JText::_( 'New Folder' ) : JText::_( 'Edit Folder' ) ); ?>
</div>
<br />
<?php } ?>
<div id="me-inbox-toolbar-box" align="right">
  <div class="t">
    <div class="t">
      <div class="t"></div>
    </div>
  </div>
  <div class="m" align="right"><?php echo $this->toolbar->render(); ?></div>
  <div class="b">
    <div class="b">
      <div class="b"></div>
    </div>
  </div>
</div>

<script type="text/javascript" >
  
    function inbSendForm( task ) {
      var f = document.adminForm;
      
      if( task != "cancel" ) {
        if( !f.title.value ) {
          alert( '<?php echo JText::_( 'Title is empty' ); ?>' );
          return false;
        }
      }
      
      f.task.value = task;
      f.submit();
    }
</script>

<form name="adminForm" action="<?php echo $this->action; ?>" method="POST">

  <table class="admintable" width="100%">
    <tbody>
      <tr>
        <td class="key"><?php echo JText::_( "Title" ); ?>:</td>
        <td><input type="text" name="title" value="<?php echo str_replace( '"', "&quot;", JRequest::getVar( 'title', $this->folder->get( 'title', '' ) ) ); ?>" size="40"></td>
      </tr>
      <tr>
        <td class="key"><?php echo JText::_( "Icon" ); ?>:</td>
        <td>
          <a href="javascript: jinbShowFlagsMenu();">
            <img src="<?php echo JURI::root(); ?>components/com_jsinbox/images/folders48/<?php echo JRequest::getVar( 'icon', $this->folder->get( 'icon', 'folder.png' ) ); ?>" alt="folder" id="inbox_icon">
          </a>
          <input type="hidden" name="icon" value="<?php echo JRequest::getVar( 'icon', $this->folder->get( 'icon', 'folder.png' ) ); ?>">
        </td>
      </tr>
      <?php if( jinbHelper::canSetFolderGlobal() ) { ?>
      <tr>
        <td class="key"><?php echo JText::_( "Global" ); ?>:</td>
        <td><?php echo JHTML::_( 'select.booleanlist', "global", 'class="inputbox"', JRequest::getInt( 'global', $this->folder->get( 'global', 0 ) ) ); ?></td>
      </tr>
      <?php } ?>
      <tr>
        <td class="key"><?php echo JText::_( "Description" ); ?>:</td>
        <td><textarea name="description" cols="31" rows="3"><?php echo JRequest::getVar( 'description', $this->folder->get( 'description', '' ) ); ?></textarea></td>
      </tr>
    </tbody>
  </table>
  
  <div id="inbox_icons" class="popup_menu"><div><div><div>
    <div class="popup_menu_title">
      <?php echo JText::_( 'Select icon' ); ?>
    </div>
   
    <table>
    <?php
    $side = ceil( sqrt( count( $this->icons ) ) );
    
    for( $i = 0; $i < $side; $i++ ) {
      echo "<tr>";
      for( $j = 0; $j < $side; $j++ ) {
        echo "<td>";
        $id = $j * $side + $i;
        if( isset($this->icons[$id]) ) {
          echo JHTML::_( 'image.site',
                         $this->icons[$id]->file,
                         'components/com_jsinbox/images/folders/',
                         null,
                         null,
                         $this->icons[$id]->name,
                         'onMouseOver="jinbIconPreview( \''.$this->icons[$id]->file.'\' )"; onMouseOut=" jinbIconRestore()"; onClick="jinbChangeIcon( \''.$this->icons[$id]->file.'\', this.alt )" class="editlinktip hasTip" title="'.$this->icons[$id]->name.'"' );
        }
        echo "</td>";
      }
      echo "</tr>";
    }
    ?>
    </table>
    
    <div class="popup_menu_close">
      <span>
        <a href="javascript: icon_popUp.toggle( 'inbox_icon' );"><?php echo JText::_( "Cancel" ); ?></a>
      </span>
      
    </div>
    <div style="clear:both;"></div>
    
  </div></div></div></div>
  
  <script type="text/javascript" >
  
    function jinbShowFlagsMenu()
    {
       icon_popUp.toggle( 'inbox_icon' );
       var mIcon = document.getElementById( 'inbox_icon' );
       mIcon.preView=true;
    }
    
    function jinbIconPreview ( icon )
    {
      var mIcon = document.getElementById( 'inbox_icon' );
      if( ! mIcon.preView ) return;
      mIcon.tmpSrc = mIcon.src;
      mIcon.src ="<?php echo JURI::root(); ?>components/com_jsinbox/images/folders48/"+icon;
    }
    
    function jinbIconRestore ( )
    {
      var mIcon = document.getElementById( 'inbox_icon' );
      if( ! mIcon.preView ) return;
      mIcon.src = mIcon.tmpSrc;
    }
    
    function jinbChangeIcon( new_icon, icon_name )
    {
      var icon    = document.getElementById( 'inbox_icon' );
      
      icon.src = "<?php echo JURI::root(); ?>components/com_jsinbox/images/folders48/"+new_icon;
      icon.alt = icon_name;
      icon.preView=false;
      
      document.adminForm.icon.value = new_icon;
      
      icon_popUp.toggle( 'inbox_icon' );
    }
    var icon_popUp = felixPopUp_v2.newPopUp( {pos_mode:'bottom', slide_mode:'vertical', duration:500, duration_close:200, scope_class:'popup_scope'} );
    window.addEvent('domready', function() {
    	icon_popUp.attachChild( 'inbox_icon', 'inbox_icons' );
    });
  </script>
  
  <input type="hidden" name="user_id"    value="<?php echo $this->user->get( 'id' ); ?>" />
  <input type="hidden" name="id"         value="<?php echo JRequest::getInt('id', $this->folder->get( 'id' ) ); ?>" />
  <input type="hidden" name="option"     value="com_jsinbox" />
  <input type="hidden" name="view"       value="folder" />
  <input type="hidden" name="controller" value="folders" />
  <input type="hidden" name="task"       value="" />
  <input type="hidden" name="Itemid"     value="<?php echo JRequest::getInt('Itemid'); ?>" />
  <input type="hidden" name="lang"       value="<?php echo JRequest::getWord('lang'); ?>" />
</form>
<?php if( JRequest::getWord( 'tmpl', '' ) == "component" ) { ?>
</div>
<?php } ?>