<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access'); ?>

<script type="text/javascript">

Shadowbox.loadSkin( 'classic', '<?php echo JURI::root(); ?>administrator/components/com_jsinbox/js/shadowbox/skin' ); // use the "classic" skin
Shadowbox.loadLanguage( 'en', '<?php echo JURI::root(); ?>administrator/components/com_jsinbox/js/shadowbox/lang' ); // use the English language
Shadowbox.loadPlayer( [ 'iframe' ], '<?php echo JURI::root(); ?>administrator/components/com_jsinbox/js/shadowbox/player' ); // use img and qt players

window.addEvent('domready', function() {
	Shadowbox.init({
		enableKeys: false
	});
});

function jinbPresetsListener( list, by_shadowbox )
{
  if( list.value == "manager" ) {
    var form = document.adminForm;
    form.preset.value = form.preset_last_value.value;
    
    jinbOpenPresetsManager( by_shadowbox );
    return;
  }
  document.adminForm.submit();
}

function jinbOpenPresetsManager( by_shadowbox )
{
  var link  = document.getElementById( 'jinbPresetsLink' );
  if( by_shadowbox == 1 ) {
    link.href += "&tmpl=component";
    
    Shadowbox.setup();
    
    if ( link.dispatchEvent ) {
      var evt = document.createEvent( "MouseEvents" );
      evt.initEvent( "click", true, true );
      link.dispatchEvent( evt );
    } else if( link.fireEvent ) {
      link.fireEvent( "onclick" );
    }
  } else {
    window.location = link.href;
  }
}

function jinbCheckBoxchecked( msg )
{
  var form = document.adminForm;
  if( !form.boxchecked.value || form.boxchecked.value == 0) {
    alert( msg );
    return false;
  }
  return true;
}

function jinbListForm( task )
{
  var form = document.adminForm;
  if( task == "toTrash" ) {
    if( !jinbCheckBoxchecked( "<?php echo JText::_( 'No messages are selected' ); ?>" ) ) return;
    form.controller.value = 'inbox';
  } else if( task == "restore" || task == "delete" ) {
    if( !jinbCheckBoxchecked( "<?php echo JText::_( 'No messages are selected' ); ?>" ) ) return;
  }
  
  form.task.value = task;
  form.submit();
}

function jinbPreview( format, iid )
{
  var form = document.adminForm;
  if( !(typeof iid != "undefined" && iid)  ) {
    if( !jinbCheckBoxchecked( "<?php echo JText::_( 'No messages are selected' ); ?>" ) ) return;
  }
  
  /* prepare form for submit */
  
  var changes = new Array();
  
  changes['tmpl'] = typeof form.tmpl == "undefined" ? null : form.tmpl.value;
  changes['no_xajax'] = typeof form.no_xajax == "undefined" ? null : form.no_xajax.value;
  
  FelixLib_v1.appendFormHidden( "tmpl",     "component", form );
  FelixLib_v1.appendFormHidden( "no_xajax", "1",         form );
  
  if( format == "print" ) {
    FelixLib_v1.appendFormHidden( "context", "print", form );
  }
  if( format == "PDF" ) {
    FelixLib_v1.appendFormHidden( "format", "pdf", form );
  }
  
  if( typeof iid != "undefined" && iid  ) {
    FelixLib_v1.appendFormHidden( "cid[0]", iid, form );
  }
  
  var form_target     = form.target; 
  var form_task       = form.task.value;
  var form_controller = form.controller.value;
  
  form.target = "_blank";
  form.task.value = "read";
  form.controller.value = "inbox";
  form.submit();
  
  /* return form in previous state */
  if( changes['tmpl'] == null ) {
    //FelixLib_v1.removeFormHidden( "tmpl", form );
    form.tmpl.parentNode.removeChild( form.tmpl );
  } else {
    form.tmpl.value = changes['tmpl'];
  }
  
  if( changes['no_xajax'] == null ) {
    //FelixLib_v1.removeFormHidden( "no_xajax", form );
    form.no_xajax.parentNode.removeChild( form.no_xajax );
  } else {
    form.no_xajax.value = changes['no_xajax'];
  }
  
  if( format == "print" ) {
    //FelixLib_v1.removeFormHidden( "context", form );
    form.context.parentNode.removeChild( form.context );
  }
  
  if( format == "PDF" ) {
  //FelixLib_v1.removeFormHidden( "context", format );
    form.format.parentNode.removeChild( form.format );
  }
  
  if( typeof iid != "undefined" && iid  ) {
    //FelixLib_v1.removeFormHidden( "cid[0]", form );
    form["cid[0]"].parentNode.removeChild( form["cid[0]"] );
  }
  
  form.target = form_target;
  form.task.value = form_task;
  form.controller.value = form_controller;
}

function jinbResend( link_id, by_shadow, iid )
{
  if( typeof iid != "undefined" && iid  ) {
    var cid = iid;
  } else {
    if( !jinbCheckBoxchecked( "<?php echo JText::_( 'No messages are selected' ); ?>" ) ) return;
    
    var find = false;
    var i = 0;
    var curr_ch = document.getElementById( 'cb'+i );
    while( curr_ch ) {
      if( curr_ch.checked ) {
        find = curr_ch;
        break;  
      } else {
        curr_ch = document.getElementById( 'cb' + i++ );
      }
    }
    var cid = find.value;
  }
  
  var tr = document.getElementById( "tr_"+cid ); 
  
  if( ( link_id == "jinbLinkForward" && tr.getAttribute( "allow_forward" ) == 0 ) ||
      ( link_id == "jinbLinkReply" && tr.getAttribute( "allow_reply" ) == 0 ) ||
      ( link_id == "jinbLinkReplyAll" && tr.getAttribute( "allow_reply" ) == 0 ) ) {
    alert( "<?php echo JText::_( "This message can`t be resent" ); ?>" );
    return false;
  }
  
  
  var link = document.getElementById( link_id );
  
  link.href += "&cid[]=" + cid;
  
  if( by_shadow == 1 ) {
    Shadowbox.setup();
  
    if ( link.dispatchEvent ) {
      var evt = document.createEvent( "MouseEvents" );
      evt.initEvent( "click", true, true );
      link.dispatchEvent( evt );
    } else if( link.fireEvent ) {
      link.fireEvent( "onclick" );
    }

  } else {
    window.location = link.href;
  } 
}

function setMaxHeight( id, maxHeight )
{
  var div = document.getElementById( id );
  if ( div.offsetHeight > maxHeight ) {
    div.style.height = maxHeight+"px"; 
  }
}
</script>

<?php if( count( $this->messages ) && $this->showField( "flag" ) ) { ?>
<div id="inbox_flags" class="popup_menu"><div><div><div>

 <div class="popup_menu_title">
   <?php echo JText::_( 'Select new flag' ); ?>
 </div>
 
  <ul>
  <?php
  foreach ( $this->flags as $flag ) {
    ?><li>
      <a href="javascript:void(0);" onClick="jinbChangeFlag( '<?php echo $flag->file; ?>')"><?php 
    echo JHTML::_( 'image.site', $flag->file, 'components/com_jsinbox/images/flags/', null, null, $flag->name, '' );
    echo " ".$flag->name;
    ?></a>
    </li><?php
  }
  ?>
  </ul>
  
  <div class="popup_menu_close">
    <span>
      <a href="javascript:void(0); flags_popUp.toggle( document.getElementById('flag_id').value );"><?php echo JText::_( "Cancel" ); ?></a>
    </span>
    
  </div>
  <div style="clear:both;"></div>
  <input type="hidden" value="" name="flag_id"    id="flag_id" >
  <input type="hidden" value="" name="message_id" id="message_id" >
</div></div></div></div>
<?php } ?>

<?php if ( $this->url_params->get('show_page_title', 1) ) { ?>
  <div class="componentheading<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>"><?php echo $this->url_params->get( 'page_title', JText::sprintf( "%s personsal inbox", $this->user->get( "name" ) ) ); ?></div>
<?php } ?>
<br />

<table width="100%">
  <tr>
    <td>
      <table cellspacing="0" cellpadding="0">
        <tr valign="top">
          <td>
            <img src="<?php echo JURI::root(); ?>components/com_jsinbox/images/folders48/<?php echo $this->folder->get( 'icon' ); ?>">
          </td>
          <td>&nbsp;
          </td>
          <td valign="bottom">
            <div class="contentheading<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>">
              <?php echo $this->folder->get( 'title' );?>
            </div>
            <div class="small<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>"><?php echo $this->folder->get( 'description' ) ; ?></div>
          </td>
        </tr>
      </table>
    </td>
    <?php if( INBOX_MAX_STORING_MSG ) { ?>
    <td align="right">
      <table>
        <tr>
          <td colspan="3">
            <?php echo JText::sprintf( "Your message box is %s%% full", $this->message_percents/*$this->message_progress["count"]*/ ); ?>
          </td>
        </tr>
        <tr>
          <td colspan="3" align="left">
            <div style="width:300px; border:1px solid #000000;">
              <?php $other = $this->message_progress["other_folders"]; ?>
              <?php 
                if( ! INBOX_PROGRESSBAR_SEPARATE_INBOX ) $other += $this->message_progress["inbox"];
                if( ! INBOX_PROGRESSBAR_SEPARATE_DRAFT ) $other += $this->message_progress["draft"];
                if( ! INBOX_PROGRESSBAR_SEPARATE_JUNK )  $other += $this->message_progress["junk"];
                if( ! INBOX_PROGRESSBAR_SEPARATE_SENT )  $other += $this->message_progress["sent"];
                if( ! INBOX_PROGRESSBAR_SEPARATE_TRASH ) $other += $this->message_progress["trash"];
                
              ?>
              
              <?php 
              if( INBOX_PROGRESSBAR_SEPARATE_INBOX || INBOX_PROGRESSBAR_SEPARATE_DRAFT || INBOX_PROGRESSBAR_SEPARATE_JUNK || INBOX_PROGRESSBAR_SEPARATE_SENT || INBOX_PROGRESSBAR_SEPARATE_TRASH ) {
              ?>
              <div class="editlinktip hasTip"
                   title="<?php echo JText::_( "Progress of All Other folder" ); ?>:: <?php echo JText::_( 'Messages' ); ?>: <?php echo $other; ?>"
                   style="width:<?php echo ( jinbHelper::getPercents( $other, $this->message_progress["max_count"] ) * 3 ); ?>px; background-color:<?php echo INBOX_PROGRESSBAR_COLOR_OTHER_FOLDER; ?>; float:left; overflow:hidden;">&nbsp;</div>
              <?php } else { ?>
              <div style="width:<?php echo ( jinbHelper::getPercents( $other, $this->message_progress["max_count"] ) * 3 ); ?>px; background-color:<?php echo INBOX_PROGRESSBAR_COLOR_OTHER_FOLDER; ?>; float:left; overflow:hidden;">&nbsp;</div>
              <?php } ?>
              
              <?php if( INBOX_PROGRESSBAR_SEPARATE_INBOX ) { ?>
              <div class="editlinktip hasTip"
                   title="<?php echo JText::_( "Progress of Inbox folder" ); ?>:: <?php echo JText::_( 'Messages' ); ?>: <?php echo $this->message_progress["inbox"]; ?><br /><?php echo JText::_( 'Unread' ); ?>: <?php echo $this->message_progress["inbox_unread"]; ?>"
                   style="width:<?php echo ( jinbHelper::getPercents( $this->message_progress["inbox"], $this->message_progress["max_count"] ) * 3 ); ?>px;background-color:<?php echo INBOX_PROGRESSBAR_COLOR_INBOX; ?>; float:left; overflow:hidden;">&nbsp;</div>
              <?php } ?>
              <?php if( INBOX_PROGRESSBAR_SEPARATE_JUNK ) { ?>
              <div class="editlinktip hasTip"
                   title="<?php echo JText::_( "Progress of Junk folder" ); ?>:: <?php echo JText::_( 'Messages' ); ?>: <?php echo $this->message_progress["junk"]; ?><br /><?php echo JText::_( 'Unread' ); ?>: <?php echo $this->message_progress["junk_unread"]; ?>"
                   style="width:<?php echo ( jinbHelper::getPercents( $this->message_progress["junk"], $this->message_progress["max_count"] ) * 3 ); ?>px; background-color:<?php echo INBOX_PROGRESSBAR_COLOR_JUNK; ?>; float:left; overflow:hidden;">&nbsp;</div>
              <?php } ?>
              <?php if( INBOX_PROGRESSBAR_SEPARATE_TRASH ) { ?>
              <div class="editlinktip hasTip"
                   title="<?php echo JText::_( "Progress of Trash folder" ); ?>:: <?php echo JText::_( 'Messages' ); ?>: <?php echo $this->message_progress["trash"]; ?>"
                   style="width:<?php echo ( jinbHelper::getPercents( $this->message_progress["trash"], $this->message_progress["max_count"] ) * 3 ); ?>px; background-color:<?php echo INBOX_PROGRESSBAR_COLOR_TRASH; ?>; float:left; overflow:hidden;">&nbsp;</div>
              <?php } ?>
              <?php if( INBOX_PROGRESSBAR_SEPARATE_SENT ) { ?>
              <div class="editlinktip hasTip"
                   title="<?php echo JText::_( "Progress of Sent folder" ); ?>:: <?php echo JText::_( 'Messages' ); ?>: <?php echo $this->message_progress["sent"]; ?>"
                   style="width:<?php echo ( jinbHelper::getPercents( $this->message_progress["sent"], $this->message_progress["max_count"] ) * 3 ); ?>px; background-color:<?php echo INBOX_PROGRESSBAR_COLOR_SENT; ?>; float:left; overflow:hidden;">&nbsp;</div>
              <?php } ?>
              <?php if( INBOX_PROGRESSBAR_SEPARATE_DRAFT ) { ?>
              <div class="editlinktip hasTip"
                   title="<?php echo JText::_( "Progress of Draft folder" ); ?>:: <?php echo JText::_( 'Messages' ); ?>: <?php echo $this->message_progress["draft"]; ?>"
                   style="width:<?php echo ( jinbHelper::getPercents( $this->message_progress["draft"], $this->message_progress["max_count"] ) * 3 ); ?>px; background-color:<?php echo INBOX_PROGRESSBAR_COLOR_DRAFT; ?>; float:left; overflow:hidden;">&nbsp;</div>
              <?php } ?>
              <div style="clear:both;"></div>
            </div>
          </td>
        </tr>
        <tr>
          <td  align="left" width="33%">
            <?php echo JText::_( "0%"); ?>
          </td>
          <td  align="center" width="33%">
            <?php echo JText::_( "50%"); ?>
          </td>
          <td align="right" width="33%">
            <?php echo JText::_( "100%"); ?>
          </td>
        </tr>
      </table>
    </td>
  </tr>
  <?php } ?>
</table>
<br />


<div id="me-inbox-toolbar-box" align="right">
  <div class="t">
    <div class="t">
      <div class="t"></div>
    </div>
  </div>
  <div class="m"><?php echo $this->toolbar->render(); ?></div>
  <div class="b">
    <div class="b">
      <div class="b"></div>
    </div>
  </div>
</div>

<form name="adminForm" action="<?php echo $this->action; ?>" method="POST">

  <br />
  <div style="text-align:right"><input type="text" size="15" name="search" value="<?php echo $this->search; ?>" class="text_area" onchange="document.adminForm.submit();"><button onclick="this.form.submit();">Go</button>&nbsp;&nbsp;<?php echo $this->lists['presets']; ?></div>
  <br />
  <?php $colspan_all = 0; ?>
  <table  width="100%" border="0" cellspacing="0" cellpadding="2" align="center" >
    <?php if ( INBOX_LIST_SHOW_HEADINGS ) : ?>
      <tr>
        <?php if( $this->showField( "num" ) ) { ?>
        <td width="5px" align="right" class="sectiontableheader<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>">
          <?php echo JText::_('Num'); ?>
        </td>
        <?php } ?>
        <?php $colspan_all ++; ?>
        <td width="10px" class="sectiontableheader<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>">
          <input type="checkbox" name="toggle" value="" id="checkMain" onclick="checkAll(<?php echo count( $this->messages ); ?>);" />
        </td>
        <?php if( $this->showField( "priority" ) ) { ?>
        <?php $colspan_all ++; ?>
        <td width="10px" class="sectiontableheader<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>" nowrap="nowrap">
          <?php echo JHTML::_('grid.sort',  'P',        'm.priority', $this->lists['order_Dir'], $this->lists['order'] ); ?>
        </td>
        <?php } ?>
        <?php if( $this->showField( "flag" ) ) { ?>
        <?php $colspan_all ++; ?>
        <td width="10px" class="sectiontableheader<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>" nowrap="nowrap">
          <?php echo JHTML::_('grid.sort',  'F',        'i.flag',     $this->lists['order_Dir'], $this->lists['order'] ); ?>
        </td>
        <?php } ?>
        <?php if( $this->showField( "subject" ) ) { ?>
        <?php $colspan_all ++; ?>
        <td class="sectiontableheader<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>">
          <?php echo JHTML::_('grid.sort',  'Subject',  'm.subject',  $this->lists['order_Dir'], $this->lists['order'] ); ?>
        </td>
        <?php } ?>
        <?php if( $this->showField( "from" ) ) { ?>
        <?php $colspan_all ++; ?>
        <td width="15%" class="sectiontableheader<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>">
          <?php echo JHTML::_('grid.sort',  'From',     'm.user_id',  $this->lists['order_Dir'], $this->lists['order'] ); ?>
        </td>
        <?php } ?>
        <?php if( $this->showField( "date" ) ) { ?>
        <?php $colspan_all ++; ?>
        <td width="15%" class="sectiontableheader<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>">
          <?php echo JHTML::_('grid.sort',  'Date',     'm.ctime',    $this->lists['order_Dir'], $this->lists['order'] ); ?>
        </td>
        <?php } ?>
        <?php if( isset( $this->folder->core ) && $this->folder->core == "trash" ) { ?>
        <?php $colspan_all ++; ?>
          <td width="15%" class="sectiontableheader<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>">
            <?php echo JHTML::_('grid.sort',  'Folder',   'folder',     $this->lists['order_Dir'], $this->lists['order'] ); ?>
          </td>
        <?php } ?>
        <?php if( $this->showField( "type" ) ) { ?>
        <?php $colspan_all ++; ?>
        <td width="5%" class="sectiontableheader<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>" nowrap>
          <?php echo JHTML::_('grid.sort',  'Type',     't.id',       $this->lists['order_Dir'], $this->lists['order'] ); ?>
        </td>
        <?php } ?>
        <?php if( $this->showField( "status" ) ) { ?>
        <?php $colspan_all ++; ?>
        <td width="5%" class="sectiontableheader<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>" nowrap>
          <?php echo JText::_( 'Status' ); ?>
        </td>
        <?php } ?>
      </tr>
    <?php endif; ?>
    <?php foreach( $this->messages as $key => $msg ) : ?>
    <tbody>
        <tr  <?php echo isset( $msg->_read ) && ! $msg->_read ? 'style="font-weight:bolder"' : ""; ?> id="tr_<?php echo $msg->iid; ?>" allow_reply="<?php echo (int)$msg->allow_reply ?>" allow_forward="<?php echo (int)$msg->allow_forward ?>" height="20" class="sectiontableentry<?php echo $msg->odd; ?>">
          <?php if( $this->showField( "num" ) ) { ?>
          <td align="right" width="5">
            <?php echo $this->pagination->getRowOffset( $key ); ?>
          </td>
          <?php } ?>
          <td width="5">
            <?php echo JHTML::_( 'grid.id', $key, $msg->iid ); ?>
          </td>
          <?php if( $this->showField( "priority" ) ) { ?>
          <td width="10">
            <?php if ( $msg->priority->file ): ?>
              <?php echo JHTML::_( 'image.site',
                                   $msg->priority->file,
                                   $msg->priority->folder,
                                   null,
                                   null,
                                   $msg->priority->name,
                                   'class="editlinktip hasTip" title="'.JText::_( 'Priority' ).'::'.$msg->priority->name.'"' ); ?>
            <?php endif; ?>
          </td>
          <?php } ?>
          <?php if( $this->showField( "flag" ) ) { ?>
          <td width="5">
            <?php if ( $msg->flag->file ): ?>
              <a href="javascript: jinbShowFlagsMenu( 'inbox_flag_<?php echo $key; ?>', <?php echo $msg->inbox_id; ?> );">
              <?php echo JHTML::_( 'image.site',
                                   $msg->flag->file,
                                   $msg->flag->folder,
                                   null,
                                   null,
                                   $msg->flag->name,
                                   'id="inbox_flag_'.$key.'" '/*.'class="editlinktip hasTip" title="'.JText::_( 'Flag' ).'::'.$msg->flag->name.'"'*/ ); ?>
              </a>
            <?php endif; ?>
          </td>
          <?php } ?>
          <?php if( $this->showField( "subject" ) ) { ?>
          <td>
            <?php if( isset( $this->folder->core ) && $this->folder->core == "draft" ) { ?>
              <?php $link = JURI::root()."index.php?option=com_jsinbox&controller=inbox&task=compose&context=draft&view=compose&stored_msg_id=".$msg->msg_id.( JRequest::getVar( "Itemid" ) ? "&Itemid=".JRequest::getVar( "Itemid" ) : "" );?>
              <?php $pu = INBOX_PU_COMPOSE; ?>
            <?php } else { ?>
              
              <?php $link = JURI::root()."index.php?option=com_jsinbox&controller=inbox&view=read&iid=".$msg->inbox_id."_".substr($msg->_table, 3).( JRequest::getVar( "Itemid" ) ? "&Itemid=".JRequest::getVar( "Itemid" ) : "" );?>
              <?php $pu = INBOX_PU_READ_MSG; ?>
            <?php } ?>
            
            <a <?php echo $pu ? 'rel = "shadowbox;width=800;height=600"' : ''; ?>
            
              href="<?php echo JRoute::_( $link.( $pu ? "&tmpl=component" : "" ) ); ?>">
              <?php if( $msg->attachments ) {?>
                <img src="<?php echo JURI::root()."/components/com_jsinbox/images/clip.png"?>">
              <?php }?>
              <?php echo $msg->subject ? $msg->subject : "--"; ?>
            </a>
          </td>
          <?php } ?>
          <?php if( $this->showField( "from" ) ) { ?>
          <td>
            <?php echo jinbHelper::showUserName( $msg->user_from ); ?>
          </td>
          <?php } ?>
          <?php if( $this->showField( "date" ) ) { ?>
          <td nowrap="nowrap">
            <?php echo $msg->ctime->toFormat( INBOX_TIME_FORMAT ); ?>
          </td>
          <?php } ?>
          <?php if( isset( $this->folder->core ) && $this->folder->core == "trash" ) { ?>
            <td>
              <?php echo $msg->folder; ?>
            </td>
          <?php } ?>
          
          <?php if( $this->showField( "type" ) ) { ?>
          <td>
            <?php echo $msg->type_name; ?>
          </td>
          <?php } ?>
          <?php if( $this->showField( "status" ) ) { ?>
          <td>
            <img alt="<?php echo $msg->status_alt; ?>" src="<?php echo JURI::root(); ?>components/com_jsinbox/images/msg_status/<?php echo $msg->status; ?>.png">
          </td>
          <?php } ?>
        </tr>
        <?php if( isset( $msg->prepearedBody ) ) { ?>
        <tr class="sectiontableentry<?php echo $msg->odd; ?>">
          <td <?php echo $this->showField( "num" ) ? "colspan='2'": ""; ?>>
            &nbsp;
          </td>
          <td colspan="<?php echo $colspan_all; ?>">
            <div id="previewDiv_<?php echo $key; ?>" style="overflow:<?php echo $this->prs_params->get( "preview_overflow", "auto" ); ?>;">
              <span class="small"><?php echo $msg->prepearedBody; ?></span>
            </div>
            <script type="text/javascript">setMaxHeight( "previewDiv_<?php echo $key; ?>", <?php echo $this->prs_params->get( "preview_height", "120" ) ?> )</script>
          </td>
        </tr>
        <?php } ?>
      </tbody>
      <?php endforeach; ?>
    
  </table>
  <?php if( !count( $this->messages ) ) { ?>
       <center><?php  echo JText::_( "There are no messages yet" ); ?></center>
  <?php }?>
  <br />
  
  <table width="100%" border="0" cellspacing="0" cellpadding="2" align="center">
    <tfoot>
      <tr>
        <td align="center" colspan="6" class="sectiontablefooter<?php echo $this->url_params->get( 'pageclass_sfx' ); ?>">
          <?php echo $this->pagination->getPagesLinks(); ?>
        </td>
      </tr>
      <tr>
        <td colspan="6" align="center">
          <?php if ( INBOX_LIST_SHOW_LIMIT ) :
            echo JText::_('Display Num') .'&nbsp;';
            echo $this->pagination->getLimitBox();
          endif; ?>
          <?php echo $this->pagination->getPagesCounter(); ?>
        </td>
      </tr>
    </tfoot>
  </table>
  
  <script type="text/javascript">
    function jinbShowFlagsMenu( flag, message_id )
    {
      if( typeof flag == "string" ) flag = document.getElementById( flag );
      
      document.getElementById( 'flag_id' ).value = flag.id;
      document.getElementById( 'message_id' ).value = message_id;
      flags_popUp.toggle( flag );
    }
    
    function jinbChangeFlag( new_flag )
    {
      var flag    = document.getElementById( document.getElementById('flag_id').value );
      var message_id = document.getElementById('message_id').value;
      
      flag.src = "<?php echo JURI::root()?>administrator/components/com_jsinbox/images/load.gif";
      flag.alt = "<?php echo JText::_( 'Changing flag' );?>";
      
      xajax_jinbChangeFlag( flag.id, message_id, new_flag );
      
      flags_popUp.toggle( flag.id );
    }
    
    var flags_popUp = felixPopUp_v2.newPopUp( {pos_mode:'right', slide_mode:'horizontal', duration:500, duration_close:200, scope_class:'popup_scope' } );
    window.addEvent('domready', function() {
    <?php foreach( $this->messages as $key => $msg ) : ?>
    	flags_popUp.attachChild( 'inbox_flag_<?php echo $key; ?>', 'inbox_flags' );
    <?php  endforeach; ?>
    });
  </script>
  
  <input type="hidden" name="option" value="com_jsinbox" />
  <input type="hidden" name="view" value="<?php echo JRequest::getVar( 'view' ); ?>" />
  <input type="hidden" name="controller" value="<?php echo JRequest::getVar( 'controller' ); ?>" />
  <input type="hidden" name="task" value="" />
  <input type="hidden" name="Itemid" value="<?php echo JRequest::getInt('Itemid'); ?>" />
  <input type="hidden" name="boxchecked" value="0" />
  <input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
  <input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
</form>