<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

class InboxViewInbox extends JView
{
  function display($tpl = null)
  {
  	global $mainframe, $option;
  	
  	JHTML::_('behavior.tooltip');
  	
  	$user     = & JFactory::getUser();
  	$uri 	    = & JFactory::getURI();
  	$document = & JFactory::getDocument();
  	
  	$pathway    = & $mainframe->getPathway();
  	$url_params = & $mainframe->getParams();
  	$mInbox     = & JModel::getInstance( 'Inbox',   'InboxModel' );
  	$mFolders   = & JModel::getInstance( 'Folders', 'InboxModel' );
    $mPresets   = & JModel::getInstance( 'Presets', 'InboxModel' );
    
  	$toolbar = new JINBToolBar( 'me_message_toolbar' );
  	
  	$document->addScript( JURI::root().'media/mightyextensions/js/felix_js/library.js' );
  	$document->addScript( JURI::root().'media/mightyextensions/js/felix_js/item_manager.js' );
  	$document->addScript( JURI::root().'media/mightyextensions/js/felix_js/pop_up.js' );
  	
  	$document->addScript( JURI::root().'administrator/components/com_jsinbox/js/shadowbox/adapter/shadowbox-base.js' );
  	$document->addScript( JURI::root().'administrator/components/com_jsinbox/js/shadowbox/shadowbox.js' );
  	
    if( $mainframe->getUserState( $option.'.cfolder' ) && !JRequest::getVar( 'cfolder' ) && JRequest::getVar( 'folder' ) ) {
      $mainframe->setUserState( $option.'.cfolder', '' );
    }
    if( $mainframe->getUserState( $option.'.folder' ) && !JRequest::getVar( 'folder' ) && JRequest::getVar( 'cfolder' ) ) {
      $mainframe->setUserState( $option.'.folder', '' );
    }
    
    $itemid  = JRequest::getInt('Itemid');
    $cfolder = $mainframe->getUserStateFromRequest( $option.'.cfolder', 'cfolder', '',  'word' );
    $folder  = $mainframe->getUserStateFromRequest( $option.'.folder',  'folder',  '0', 'int' );
    
    if( ! $cfolder && ! $folder ) {
      $cfolder = "inbox";
      $mainframe->setUserState( $option.'.cfolder', "inbox" );
    }
    
    $componentParams = new JParameter(JFile::read(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jsinbox'.DS.'config.ini'));
    
    $types   = $mInbox->getTypes( );
    $folder  = $mFolders->getFolder( $folder, $cfolder );
    $folders = $mFolders->getFolders( $user );
    $flags   = $mInbox->getFlags();
    
//    echo '<pre>';
//    var_dump($folders);
//    die;
    
    /*if( isset( $folder->core ) && $folder->core == "trash" ) {
      $filter_order     = $mainframe->getUserStateFromRequest( $option.'.filter_trash_order',     'filter_order',     'ctime', 'cmd' );
      $filter_order_Dir = $mainframe->getUserStateFromRequest( $option.'.filter_trash_order_Dir', 'filter_order_Dir', 'DESC',    'word' );
    } else {
      $filter_order     = $mainframe->getUserStateFromRequest( $option.'.filter_order',     'filter_order',     'm.ctime', 'cmd' );
      $filter_order_Dir = $mainframe->getUserStateFromRequest( $option.'.filter_order_Dir', 'filter_order_Dir', 'DESC',    'word' );
    }*/
    
    
    
    $preset_id = JRequest::getVar( "preset" );
    
    if( $preset_id || $preset_id === "0" ) {
      $mPresets->assignPresetToFolder( $folder->get( "id" ), $folder->get( "core" ), $preset_id, $user->get( "id" )  );
    }
    
    $tPreset = $mPresets->getFolderPreset( $folder->get( "id" ), $folder->get( "core" ), $user->get( "id" ) );
    
    if( ! $preset_id && !( $preset_id === "0" ) ) {
      $mainframe->setUserState( $option.'.inbox.preset', $tPreset->get( 'id' ) );
      $preset_id = $tPreset->get( 'id' );
    }
    
    $prs_params = new JParameter( $tPreset->get( 'params' ), JSPATH_INBOX_ADMIN.DS."presets.xml" );
    
    if( $mainframe->getUserState( $option.'.inbox.preset' ) != $preset_id ) {
      $mainframe->setUserState( $option.'.inbox.preset',    $preset_id );
      $mainframe->setUserState( $option.'.inbox.search',    $prs_params->get( "key_word" ) );
      $mainframe->setUserState( $option.'.inbox.order',     $prs_params->get( "sort_by", "m.ctime" ) );
      $mainframe->setUserState( $option.'.inbox.order_dir', $prs_params->get( "sort_dir", "DESC" ) );
    } else {
      $search = is_null( JRequest::getVar( "search" ) ) ? $prs_params->get( "key_word" ) : JRequest::getVar( "search" );
      $mainframe->setUserState( $option.'.inbox.search',    $search );
      $mainframe->setUserState( $option.'.inbox.order',     JRequest::getVar( "filter_order", $prs_params->get( "sort_by", "m.ctime" ) ) );
      $mainframe->setUserState( $option.'.inbox.order_dir', JRequest::getVar( "filter_order_Dir", $prs_params->get( "sort_dir", "DESC" ) ) );
    }
     
    $search = $mainframe->getUserState( $option.'.inbox.search' );
    
    $filter_order     = $mainframe->getUserState( $option.'.inbox.order' );
    $filter_order_dir = $mainframe->getUserState( $option.'.inbox.order_dir' );
    
    $messages       = $mInbox->getMessages( $folder, $user, $prs_params );


    $total_messages = $mInbox->getTotal( $folder, $user, $prs_params );
    
    switch( $cfolder ) {
      default:
      case "inbox":
      case "junk":
        $toolbar->compose( $types );
        $toolbar->reply();
        $toolbar->forward();
        $toolbar->folders( $folders );
        $toolbar->trash();
        $toolbar->config();
        $toolbar->move( $folders, $folder );
        
        if ($componentParams->get('toolbar_show_print'))
	        $toolbar->printView();
        if ($componentParams->get('toolbar_show_pdf'))
    	    $toolbar->pdf();
        break;
      case "draft":
        $toolbar->compose( $types );
        //$toolbar->reply();
        //$toolbar->forward();
        $toolbar->folders( $folders );
        $toolbar->trash( $folder );
        $toolbar->config();
        //$toolbar->move( $folders, $folder );
        //$toolbar->printView();
        //$toolbar->pdf();
        break;
      case "sent":
        $toolbar->compose( $types );
        $toolbar->reply();
        $toolbar->forward();
        $toolbar->folders( $folders );
        $toolbar->trash();
        $toolbar->config();
        //$toolbar->move( $folders, $folder );
        if ($componentParams->get('toolbar_show_print'))
	        $toolbar->printView();
        if ($componentParams->get('toolbar_show_pdf'))
    	    $toolbar->pdf();
        break;
      case "trash":
        $toolbar->compose( $types );
        //$toolbar->reply();
        //$toolbar->forward();
        $toolbar->folders( $folders );
        //$toolbar->trash( $folder );
        $toolbar->restore();
        $toolbar->delete();
        $toolbar->cleanTrash();
        $toolbar->config();
        //$toolbar->move( $folders, $folder );
        //$toolbar->printView();
        //$toolbar->pdf();
        break;
      
        
    }
    
    $message_progress = array();
    if( INBOX_MAX_STORING_MSG ) {
      $message_progress = $mInbox->getMessageProgress();
      
      $this->message_percents = round( $message_progress['count'] / ( $message_progress['max_count'] / 100 ) );
      
      if( $this->message_percents == 0 && $message_progress['count'] > 0 ) {
        $this->message_percents = 1;
      } else if( $this->message_percents == 100 && $message_progress['count'] < $message_progress['max_count'] ) {
        $this->message_percents = 99;
      }
    }
    
    $pagination = $mInbox->getPagination( $total_messages );
    
    $folder->set( 'params', new JParameter( $folder->get( 'params' ) ) );
    
    foreach( $messages as $key => $msg ) {
      $this->prepare_message( $messages[ $key ], $prs_params );
    }
    
    $document->setTitle( $folder->title );
    
    $lists['order_Dir'] = $filter_order_dir;
    $lists['order']     = $filter_order;
    
    $pathway->addItem( $folder->title, '' );
  
    $uniqid = uniqid( '' );
    
    $presets[] = JHTML::_('select.option', "0", JText::_( '- Select View -' ) );
    
    $taked_presets = $mPresets->getPresets( $user->get( "id" ), false );

    foreach( $taked_presets as $p ) $presets[] = JHTML::_('select.option',  $p->id, $p->title );
    
    $presets[] = JHTML::_('select.option',  "manager", JText::_( 'Views Manager...' ) );
    
    $rel  = "rel='shadowbox;width=600;height=600'";
    
    $lists[ 'presets' ] = JHTML::_( 'select.genericlist',
                                    $presets,
                                    'preset',
                                    'class="inputbox" id="jinbPresets" onchange="jinbPresetsListener( this, '.( INBOX_PU_PRESET_MANAGER ? 1 : 0 ).' )"',
                                    'value',
                                    'text',
                                    $tPreset->get( 'id' ) )
                          ."<a style='display:none;' ".$rel." href='".JURI::root()."index.php?option=com_jsinbox&controller=presets' title='".JText::_( 'Views Manager' )."' id='jinbPresetsLink'>&nbsp;</a>"
                          ."<input type='hidden' name='preset_last_value' value='".$tPreset->get( 'id' )."'>";
    
    $this->assignRef( 'message_progress', $message_progress );
    $this->assignRef( 'search',           $search );
    $this->assignRef( 'user',             $user );                          
    $this->assignRef( 'preset',           $tPreset );
    $this->assignRef( 'prs_params',       $prs_params );
    $this->assignRef( 'toolbar',          $toolbar );
    $this->assignRef( 'flags',            $flags );
    $this->assignRef( 'uniqid',           $uniqid );
    $this->assignRef( 'lists',            $lists );
    $this->assignRef( 'url_params',       $url_params );
    $this->assignRef( 'folder',           $folder );
    $this->assignRef( 'messages',         $messages );
    $this->assignRef( 'pagination',       $pagination );
    $this->assignRef( 'action',           $uri->toString() );
    
    parent::display( $tpl );
  }
  
  function prepare_message( & $message, & $prs_params )
  {
    static $k = 1;
    $mInbox = & JModel::getInstance( 'Inbox', 'InboxModel' );
    $tInbox = & JTable::getInstance( 'Types', 'Table' );
    
    $tInbox->load( $message->type_id );
    
    $type_params = new JParameter( $tInbox->get( "params" ) ) ;
     
    $message->allow_reply   = (int)$type_params->get( "allow_reply" ); 
    $message->allow_forward = (int)$type_params->get( "allow_forward" );
    
    $message->iid = $message->inbox_id.( isset( $message->_table ) ? '_'.substr( $message->_table, 3 ) : "" );
    
    $message->user_from = & JFactory::getUser( $message->user_from );
    $message->user_to   = & JFactory::getUser( $message->user_to );
    
    $message->ctime = new JDate( $message->ctime );
    
    if( isset( $message->_read ) ) {
      if( !$message->_read || $message->_read == "0000-00-00 00:00:00" ) {
        $message->_read = false;
      }
    }
    
    $alters = array( "not_read" => JText::_( "Not read" ),
                     "read"     => JText::_( "Read" ),
                     "reply"    => JText::_( "Replied" ),
                     "forward"  => JText::_( "Forwarded" ) );
    
    $message->status = $mInbox->getMsgStatus( $message->msg_id );
    if( ! $message->status ) {
      if( !isset( $message->_read ) || !$message->_read || $message->_read == "0000-00-00 00:00:00" ) {
        $message->status = "not_read";
      } else {
        $message->status = "read";
      }
    }
    
    $message->status_alt = $alters[ $message->status ];
    
    $flag = new stdClass();
    $flag->folder = "components/com_jsinbox/images/flags/";
    $flag->file = $message->flag;
    $flag->name = ucfirst( str_replace( "_", " ", substr( $message->flag, 0, strrpos ( $message->flag, "." ) ) ) );
    
    $message->flag = $flag;
     
    $priority = new stdClass();
    $priority->folder = "components/com_jsinbox/images/priority/";
    switch ( $message->priority ) {
      case 0:
        $priority->file = "";
        $priority->name = "";
        break; 
      case 1:
        $priority->file = "low.png";
        $priority->name = JText::_( "Low" );
        break;
      case 2:
        $priority->file = "hight.png";
        $priority->name = JText::_( "Hight" );
        break;
    }
    $message->priority = $priority;
    
    $message->odd	= $k + 1;
    
    if( $prs_params->get( "preview" ) ) {
      $message->prepearedBody = str_replace( array("\n", "\r"), "", $message->body );
      $message->prepearedBody = str_replace( array("<br>", "<br/>", "<tr>", "<div>", "<table>" ), "\n", $message->prepearedBody );
      $message->prepearedBody = trim(strip_tags( $message->prepearedBody ) );
      $message->prepearedBody = nl2br( $message->prepearedBody );
      
      $message->prepearedBody = JString::substr( $message->prepearedBody, 0, $prs_params->get( "preview" ) );
      if( JString::strlen( $message->prepearedBody ) < JString::strlen( $message->body ) ) {
        $message->prepearedBody .= "...";
      }
    }
    
    $k = 1 - $k;
  }
  
  function showField( $column )
  {
  	global $mainframe, $option;
  	
  	$cfolder = $mainframe->getUserStateFromRequest( $option.'.cfolder', 'cfolder', '',  'word' );
  	
  	if( $cfolder == 'draft' && ( in_array( $column, array( 'from', 'status' ) ) ) ) {
  	  return false;
  	}
    if( $cfolder == 'sent' && ( in_array( $column, array( 'from', 'status' ) ) ) ) {
      return false;
    }
  	
  	
    if( ! $this->preset->get( "id" ) ) return true;
    
    $columns = $this->prs_params->get( "columns" );
    
    if( !is_array( $columns ) ) {
      $columns = explode( "|", $columns );
    }
    
    if( in_array( $column, $columns ) ) {
      return true;
    } else {
      return false;
    }
  }
}