<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyMessage by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

class InboxViewOptions extends JView
{
  function display($tpl = null)
  {
  	global $mainframe, $option, $itemid;
  	
  	JHTML::_('behavior.tooltip');
  	
  	$user     = & JFactory::getUser();
  	$uri 	    = & JFactory::getURI();
  	$document = & JFactory::getDocument();
  	$mOptions = & JModel::getInstance( 'Options', 'InboxModel' );
  	
  	$pathway    = & $mainframe->getPathway();
  	$url_params = & $mainframe->getParams();
  	
  	$posted_params = JRequest::getVar( 'params' );
  	
  	$options = $mOptions->getOptions( $user, $posted_params );
  	
    $toolbar = new JINBToolBar( 'me_message_toolbar' );
    
    $toolbar->save();
    $toolbar->apply();
    $toolbar->cancelOptions();
    
    $document->setTitle( JText::_( 'Inbox user`s options' ) );
    
    $pathway->addItem( 'User options', '' );
    
    $this->assignRef( 'options',    $options );
    $this->assignRef( 'toolbar',    $toolbar );
    $this->assignRef( 'url_params', $url_params );
    $this->assignRef( 'action',     $uri->toString() );
    
    parent::display( $tpl );
  }
}